define(function(require){
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");

	var Model = function(){
		this.callParent();
	};
	//修改资料
	Model.prototype.changeClick = function(event){
		
		if (justep.Shell.userType.get() == 3) {
			justep.Shell.showPage(require.toUrl('./user/userAlterL.w'));
		}
		if (justep.Shell.userType.get() == 0) {
			justep.Shell.showPage(require.toUrl('./user/userAlter.w'));
		}
	};
	
	//教练内容判断
	Model.prototype.kkk= function() {
		if (justep.Shell.userType.get() == 3) {
			return true;
		}
		if (justep.Shell.userType.get() == 0) {
			return false;
		}
	};
	
	//修改密码
	Model.prototype.passwordClick = function(event){
		justep.Shell.showPage(require.toUrl('./user/userPass.w'));
	};


	//签名
	Model.prototype.getSignature = function() {		
		if(justep.Shell.signature.get()){
				return justep.Shell.signature.get();
			}else{
				return "还没设置签名，请到修改资料中设置";
			}
	};
	

	//地区
	Model.prototype.getArea = function() {		
		if (justep.Shell.addr.get()) {
			return justep.Shell.addr.get();
		}else{
			return "还没设置地区，请到修改资料中设置";
		}
	
	};
	
	//教练详细地址
	Model.prototype.coachIntroduction = function() {		
		if (justep.Shell.address.get()) {
			return justep.Shell.address.get();
		}else{
			return "还没填写详细地区，请到修改资料中设置";
		}
	
	};
	
	
	//教练介绍
	Model.prototype.address = function() {		
		if (justep.Shell.coachIntroduction.get()) {
			return justep.Shell.coachIntroduction.get();
		}else{
			return "还没填写介绍，请到修改资料中设置";
		}
	
	};
	
	//性别
	Model.prototype.getSex = function() {		
		if (justep.Shell.sex.get() == '0') {
			return '保密';
		}
		if (justep.Shell.sex.get() == '1') {
			return '男';
		}
		if (justep.Shell.sex.get() == '2') {
			return '女';
		}
	};
	

	Model.prototype.xiangmuCustomRefresh = function(event){
	  var xianmu = this.comp("xiangmu");
	  var user_id = justep.Shell.userId.get();
			$.ajax({  
            "type" : "post",  
            "dataType" : "json",  
            "async" : false,  
            "data" : {
            
            	    "user_id" : user_id,
            },
            "url":serviceLink+"/index.php/WexApi/Coach/coachSports",
            
            "success" : function(data) {  
            	    xianmu.loadData(data);
       
            }  
            }); 
	};
	

	Model.prototype.button1Click = function(event){
		  var xianmu = this.comp("xiangmu");
		  var sport_id = event.bindingContext.$object.val("sport_id");
		var sports_price = event.bindingContext.$object.val("sports_price");
	  var user_id = justep.Shell.userId.get();
			$.ajax({  
            "type" : "post",  
            "dataType" : "json",  
            "async" : false,  
            "data" : {
            
            	    "user_id" : user_id,
            	    "sport_id": sport_id,
            	    "sports_price": sports_price
            },
            "url":serviceLink+"/index.php/WexApi/Coach/updateCoachPrice",
            
            "success" : function(data) {  
            	 justep.Util.hint('<div style="color:#fff;margin-top:200px;text-align:center">价格修改成功</div>', {
						"type": ".abc",//{string} 提示类型，取值范围：info、success、warning、danger，缺省：info
						"delay" : 1000,//{integer} 自动关闭时间，单位为：毫秒，缺省：3000
						"position": "top",//{string} 显示位置，取值范围：top、middle、bottom，缺省：top 
						"style":  "margin-top:180px;height:300px;background:url(./img/user/denglu3x.png) no-repeat center  rgba(255,167,0,0.6);background-size:100%;border-radius:15px;",//{string} css样式，增加的自定义样式
						});  
       
            }  
            }); 
		  
	};
	

	return Model;
});