define(function(require){
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	require("js/md5");
	
	var Model = function(){
		this.callParent();
	};
	
	//图片路径转换
	Model.prototype.toUrl = function(url){
		return url ? require.toUrl(url) : "";
	};
	
	//用户注册
	Model.prototype.registerClick = function(event){
	   var context = this.getContext();
	   var a1 = context.getRequestParameter('a1');
		var password = this.comp('password').val();
		var passwordAgn = this.comp('passwordAgn').val();
		var username = this.comp('username').val();
		var passMd5 = hex_md5(password);
		var code = this.comp("code").val();
		var duanxin = this.comp("duanxin").val();
		var th = this;
		this.comp("lopop").show();
		
		
		if(username == "" || password == ""){

			justep.Util.hint('<div style="color:#fff;margin-top:200px;text-align:center">用户名密码不能为空</div>', {
				"type": ".abc",//{string} 提示类型，取值范围：info、success、warning、danger，缺省：info
				"delay" : 2000,//{integer} 自动关闭时间，单位为：毫秒，缺省：3000
				"position": "top",//{string} 显示位置，取值范围：top、middle、bottom，缺省：top 
				"style":  "margin-top:180px;height:300px;background:url(./img/user/denglu3x.png) no-repeat center  rgba(255,167,0,0.6);background-size:100%;border-radius:15px;",//{string} css样式，增加的自定义样式
				});
			this.comp("lopop").hide();
			return;
		}
		
		if(password.length < 6){

			justep.Util.hint('<div style="color:#fff;margin-top:200px;text-align:center">密码至少为六位</div>', {
				"type": ".abc",//{string} 提示类型，取值范围：info、success、warning、danger，缺省：info
				"delay" : 2000,//{integer} 自动关闭时间，单位为：毫秒，缺省：3000
				"position": "top",//{string} 显示位置，取值范围：top、middle、bottom，缺省：top 
				"style":  "margin-top:180px;height:300px;background:url(./img/user/denglu3x.png) no-repeat center  rgba(255,167,0,0.6);background-size:100%;border-radius:15px;",//{string} css样式，增加的自定义样式
				});
			this.comp("lopop").hide();
			return;
		}
		
		if(password != passwordAgn){

			justep.Util.hint('<div style="color:#fff;margin-top:200px;text-align:center">密码不一致</div>', {
				"type": ".abc",//{string} 提示类型，取值范围：info、success、warning、danger，缺省：info
				"delay" : 2000,//{integer} 自动关闭时间，单位为：毫秒，缺省：3000
				"position": "top",//{string} 显示位置，取值范围：top、middle、bottom，缺省：top 
				"style":  "margin-top:180px;height:300px;background:url(./img/user/denglu3x.png) no-repeat center  rgba(255,167,0,0.6);background-size:100%;border-radius:15px;",//{string} css样式，增加的自定义样式
				});
			this.comp("lopop").hide();
			return;
		}
		
		if(duanxin == "" || duanxin == null){

			justep.Util.hint('<div style="color:#fff;margin-top:200px;text-align:center">短信验证码不可为空！</div>', {
				"type": ".abc",//{string} 提示类型，取值范围：info、success、warning、danger，缺省：info
				"delay" : 2000,//{integer} 自动关闭时间，单位为：毫秒，缺省：3000
				"position": "top",//{string} 显示位置，取值范围：top、middle、bottom，缺省：top 
				"style":  "margin-top:180px;height:300px;background:url(./img/user/denglu3x.png) no-repeat center  rgba(255,167,0,0.6);background-size:100%;border-radius:15px;",//{string} css样式，增加的自定义样式
				});
			this.comp("lopop").hide();
			return;
		}
		
		 if(duanxin == code2){
			$.ajax({  
				"type" : "post",  
				"dataType" : "json",  
				"url" : serviceLink+"/index.php/WexApi/PersonalInfo/changeUsername",
				"data" : { 
					"phone" : username,  
					"password" : passMd5,
					"code" : code,
					"user_id": a1
				},
				"success" : function(userCon) {  
				
					console.log(userCon);
				
					if(userCon.Rt_Code == 0){
						justep.Util.hint(userCon.Rt_Msg);
						th.comp("lopop").hide();
						return;
					}
					
					if(userCon.Rt_Code == 1){
					var data = userCon.Rt_Data;
					//console.log(data.head_url);
					var datawx = userCon.Rt_Msg;
					
					justep.Shell.addr.set(datawx.addr);//合拼的地址
					justep.Shell.area.set(datawx.area);//地区ID
					justep.Shell.balance.set(datawx.balance);//用户余额
					justep.Shell.city.set(datawx.city);//市ID
					justep.Shell.head_url.set(datawx.head_url);//用户头像url
					justep.Shell.nick_name.set(datawx.nick_name);//用户昵称
					justep.Shell.phone.set(datawx.phone);//电话
					justep.Shell.province.set(datawx.province);//省ID
					justep.Shell.sex.set(datawx.sex);//用户性别,0保密 1男 2女
					justep.Shell.signature.set(datawx.signature);//用户个性签名
					justep.Shell.userId.set(datawx.user_id);//用户id，与hd_home_users的id字段关联
					justep.Shell.userName.set(datawx.user_name);//登录名
					justep.Shell.userType.set(datawx.type);//用户类型
					justep.Shell.password.set(datawx.password);//密码
					justep.Shell.coachIntroduction.set(datawx.coach_introduction);//教练的介绍
					justep.Shell.birthday.set(datawx.birthday);//用户出生年月
					justep.Shell.height.set(datawx.height);//身高
					justep.Shell.weight.set(datawx.weight);//体重
					justep.Shell.industry.set(datawx.industry);//职业
					justep.Shell.activity_place.set(datawx.activity_place);//常活动地方,多个以逗号分隔
					

					var user = {};
						user.userid = datawx.user_id;
						user.accountType = datawx.type || "";
						user.name = datawx.user_name || "";
						user.addr = datawx.addr || "";
						user.area = datawx.area || "";
						user.balance = datawx.balance || "";
						user.city = datawx.city || "";
						user.head_url = datawx.head_url || "";
						user.nick_name = datawx.nick_name || "";
						user.phone = datawx.phone || "";
						user.province = datawx.province || "";
						user.sex = datawx.sex || "";
						user.signature = datawx.signature || "";
						user.password = datawx.password || "";
						user.coachIntroduction = datawx.coachIntroduction || "";
						user.birthday = datawx.birthday || "";
						user.height = datawx.height || "";
						user.address = datawx.address || "";
						user.weight = datawx.weight || "";
						user.industry = datawx.industry || "";
						user.activity_place = datawx.activity_place || "";

				localStorage.setItem("userUUID", JSON.stringify(user));
	
					justep.Util.hint('<div style="color:#fff;margin-top:200px;text-align:center">绑定成功,请登录</div>', {
						"type": ".abc",//{string} 提示类型，取值范围：info、success、warning、danger，缺省：info
						"delay" : 2000,//{integer} 自动关闭时间，单位为：毫秒，缺省：3000
						"position": "top",//{string} 显示位置，取值范围：top、middle、bottom，缺省：top 
						"style":  "margin-top:180px;height:300px;background:url(./img/user/denglu3x.png) no-repeat center  rgba(255,167,0,0.6);background-size:100%;border-radius:15px;",//{string} css样式，增加的自定义样式
						});
					//window.location.href = "./login.w";
					justep.Shell.closePage();
					
					
					//th.close();
					
				}}
			}); 
		}
		else{
			justep.Util.hint('<div style="color:#fff;margin-top:200px;text-align:center">短信验证码错误！</div>', {
				"type": ".abc",//{string} 提示类型，取值范围：info、success、warning、danger，缺省：info
				"delay" : 2000,//{integer} 自动关闭时间，单位为：毫秒，缺省：3000
				"position": "top",//{string} 显示位置，取值范围：top、middle、bottom，缺省：top 
				"style":  "margin-top:180px;height:300px;background:url(./img/user/denglu3x.png) no-repeat center  rgba(255,167,0,0.6);background-size:100%;border-radius:15px;",//{string} css样式，增加的自定义样式
				});
			this.comp("lopop").hide();
			return;
		}
		
	};

	Model.prototype.image2Click = function(event){
		
		var num = Math.random();//Math.random()：得到一个0到1之间的随机数
		num = Math.ceil(num * 80);//num*80的取值范围在0~80之间,使用向上取整就可以得到一个1~80的随机数
		//num就是你要的随机数,如果你希望个位数前加0,那么这样:
		var str;
		if (num < 10) {
		    str = "0" + num;
		} else {
		    str = num.toString();
		}
		alert(str);
	
		$('.aaa').attr("src",str);
	};

	
	Model.prototype.getHeadImgUrl = function(event){
		
		var num = Math.random();//Math.random()：得到一个0到1之间的随机数
		num = Math.ceil(num * 80);//num*80的取值范围在0~80之间,使用向上取整就可以得到一个1~80的随机数
		//num就是你要的随机数,如果你希望个位数前加0,那么这样:
		var str;
		if (num < 10) {
		    str = "0" + num;
		} else {
		    str = num.toString();
		}
	
		return str;
	};
	Model.prototype.modelUnLoad = function(event){
		//离开页面后动画隐藏
		this.comp("lopop").hide();
	};
	
	var code2 = "";//短信验证码 
	//短信计时
	Model.prototype.span9Click = function(event){
		var username = this.comp("username").val();
		var inputcode = this.comp("code").val();
		var code = this.comp("reData").val("yz");
		var th = this;
		th.comp("lopop").show();
		var myuse = /^([0-9])*[0-9]$/;
		if(username.length != 11){
			justep.Util.hint('<div style="color:#fff;margin-top:200px;text-align:center">帐号必须为11位手机号码</div>', {
				"type": ".abc",//{string} 提示类型，取值范围：info、success、warning、danger，缺省：info
				"delay" : 2000,//{integer} 自动关闭时间，单位为：毫秒，缺省：3000
				"position": "top",//{string} 显示位置，取值范围：top、middle、bottom，缺省：top 
				"style":  "margin-top:180px;height:300px;background:url(./img/user/denglu3x.png) no-repeat center  rgba(255,167,0,0.6);background-size:100%;border-radius:15px;",//{string} css样式，增加的自定义样式
				});

			th.comp("lopop").hide();
			return;
		}
		
		if(inputcode == "" || inputcode == null) 
		 {
			justep.Util.hint('<div style="color:#fff;margin-top:200px;text-align:center">请输入验证码</div>', {
				"type": ".abc",//{string} 提示类型，取值范围：info、success、warning、danger，缺省：info
				"delay" : 2000,//{integer} 自动关闭时间，单位为：毫秒，缺省：3000
				"position": "top",//{string} 显示位置，取值范围：top、middle、bottom，缺省：top 
				"style":  "margin-top:180px;height:300px;background:url(./img/user/denglu3x.png) no-repeat center  rgba(255,167,0,0.6);background-size:100%;border-radius:15px;",//{string} css样式，增加的自定义样式
				});

		  th.comp("lopop").hide();
		  return;
		 }
		if(inputcode.toUpperCase() != code.toUpperCase()) 
		 {
			justep.Util.hint('<div style="color:#fff;margin-top:200px;text-align:center">验证码有误</div>', {
				"type": ".abc",//{string} 提示类型，取值范围：info、success、warning、danger，缺省：info
				"delay" : 2000,//{integer} 自动关闭时间，单位为：毫秒，缺省：3000
				"position": "top",//{string} 显示位置，取值范围：top、middle、bottom，缺省：top 
				"style":  "margin-top:180px;height:300px;background:url(./img/user/denglu3x.png) no-repeat center  rgba(255,167,0,0.6);background-size:100%;border-radius:15px;",//{string} css样式，增加的自定义样式
				});

		   th.comp("lopop").hide();
		   code = "";
			var codeLength = 4; //验证码的长度
			var codeChars = new Array(0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 
			      'a','b','c','d','e','f','g','h','i','j','k','l','m','n','o','p','q','r','s','t','u','v','w','x','y','z',
			      'A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'I', 'J', 'K', 'L', 'M', 'N', 'O', 'P', 'Q', 'R', 'S', 'T', 'U', 'V', 'W', 'X', 'Y', 'Z'); //所有候选组成验证码的字符，当然也可以用中文的
			 for(var i = 0; i < codeLength; i++) 
			 {
			  var charNum = Math.floor(Math.random() * 52);
			  code += codeChars[charNum];
			 }
			 $('.code').html(code);
			 this.comp("reData").newData({defaultValues:[{"yz" : code}]});//新增一条记录到data
			 this.comp("lopop").hide();
			 this.comp("code").clear();
			return;
		 }
		 var dx = 60;
			var chongxi = this.getElementByXid('yzhuoqu');
			var shu = this.getElementByXid('yzchongxin');
			var daoshu = this.getElementByXid('yzdaoshu');
			chongxi.style.display="none";
			shu.style.display="none";
			daoshu.style.display="inline-block";
		 	code2 = "";
		 	 var codeLength2 = 6; //验证码的长度
		 	 var codeChars2 = new Array(0, 1, 2, 3, 4, 5, 6, 7, 8, 9); //所有候选组成验证码的字符，当然也可以用中文的
			 for(var k = 0; k < codeLength2; k++) 
			 {
			  var charNum2 = Math.floor(Math.random() * 10);
			  code2 += codeChars2[charNum2];
			 }
			
			$.ajax({  
				"type" : "post",  
				"dataType" : "json",
//				"async" : false,
				"url" : serviceLink+"/index.php/WexApi/PersonalInfo/sms",
				"data" : { 
					"code" : code2,
					"phone" : username
				},
				"success" : function(userCon) {  
				console.log(code2);
				}
			});
			th.comp("lopop").hide();
		 	
			var oo = setInterval(
			function(){
				dx--;
				$(".daoshu").html(dx);
				if (dx == 0){
					chongxi.style.display="inline-block";
					shu.style.display="none";
					daoshu.style.display="none";
					$(".daoshu").html(60);
					clearInterval(oo);
				}},1000);
			return oo;
	};
	
	//验证码切换
	Model.prototype.div12Click = function(event){
		var code = "";
		 var codeLength = 4; //验证码的长度
		 var codeChars = new Array(0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 
		      'a','b','c','d','e','f','g','h','i','j','k','l','m','n','o','p','q','r','s','t','u','v','w','x','y','z',
		      'A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'I', 'J', 'K', 'L', 'M', 'N', 'O', 'P', 'Q', 'R', 'S', 'T', 'U', 'V', 'W', 'X', 'Y', 'Z'); //所有候选组成验证码的字符，当然也可以用中文的
		 for(var i = 0; i < codeLength; i++) 
		 {
		  var charNum = Math.floor(Math.random() * 52);
		  code += codeChars[charNum];
		 }
		 $('.code').html(code);
		 this.comp("reData").newData({defaultValues:[{"yz" : code}]});//新增一条记录到data
		
	};
	
	//进入页面加载验证码
	Model.prototype.modelLoad = function(event){
	var context = this.getContext();
	var uid = context.getRequestParameter('uid');
	if(uid > 0 )
	{
	
	}
		var code = "";
		var codeLength = 4; //验证码的长度
		var codeChars = new Array(0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 
		      'a','b','c','d','e','f','g','h','i','j','k','l','m','n','o','p','q','r','s','t','u','v','w','x','y','z',
		      'A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'I', 'J', 'K', 'L', 'M', 'N', 'O', 'P', 'Q', 'R', 'S', 'T', 'U', 'V', 'W', 'X', 'Y', 'Z'); //所有候选组成验证码的字符，当然也可以用中文的
		 for(var i = 0; i < codeLength; i++) 
		 {
		  var charNum = Math.floor(Math.random() * 52);
		  code += codeChars[charNum];
		 }
		 $('.code').html(code);
		 this.comp("reData").newData({defaultValues:[{"yz" : code}]});//新增一条记录到data
	};
	
	
	Model.prototype.button1Click = function(event){
		this.close();
	};
	
	//找回密码
	Model.prototype.button2Click = function(event){
		justep.Shell.showPage(require.toUrl('./user/zhaohuiPass.w'));
	};
	
	return Model;
});