define(function(require){
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	require("$UI/sportsplus/dist/cropper");
	var UUID=require("$UI/system/lib/base/uuid");

	var Model = function(){
		this.callParent();
	};

	
	//地区
	Model.prototype.getArea = function() {		
		if (justep.Shell.addr.get()) {
			return justep.Shell.addr.get() + "(点击我设置)";
		}else{
			return "还没设置地区，请点击我设置";
		}
	};


	/*
	 *
	 *图片处理
	 *
	*/
	var imageData = "";

	Model.prototype.modelLoad = function(event){        
	
	var options = {
           modal: true,				//是否突出显示取景框，默认为true
           dragCrop: false,			//是否允许用户生成取景框, 默认是true
           movable: true,			//图片是否可以移动
           zoomable: true,			//是否允许缩放图片
           cropBoxMovable: false,		//取景框是否可以移动，默认是 true
           cropBoxResizable: false,		//用户是否能够调节取景框大小，默认为true
          aspectRatio: 1 / 1,				//取景框的宽高比
          preview: '.img-preview',	//剪裁完成后，剪裁出来的图片存放地址
        };
			$('.cropper-example-1 > img').cropper(options);

	};

	Model.prototype.button1Click = function(event){
		this.comp("button2").set({"disabled":false});
		$(this.getElementByXid('inputImage')).click();
	};

	Model.prototype.file1Change = function(event){
	
	//从选取文件对话框返回后，检查用户是否选择了文件，是否选择了图片文件
	if(!event.target.files){
			return;
	}


       var $image = $('.cropper-example-1 > img');
      
        var $inputImage = $( this.getElementByXid('inputImage'));
         var file = event.target.files[0];

          if (/^image\/\w+$/.test(file.type)) {
        	var blobURL = URL.createObjectURL(file);
            $image.one('built.cropper', function () {
              //URL.revokeObjectURL(blobURL); // Revoke when load complete
            }).cropper('reset').cropper('replace', blobURL);
            $inputImage.val('');

          } else {
            this.comp("messageDialog1").show({"message":'请选择图片文件！'});
           
          }
        
	};

	Model.prototype.button2Click = function(event){

	var div_cut = this.getElementByXid("CUT")	;
		$(div_cut).css('display','none');
		var img = this.getElementByXid("IDImage1");

			var self=this;
			var picName=UUID.createUUID();
           var result= $('.cropper-example-1 > img').cropper("getCroppedCanvas");

           var data=result.toDataURL();
           $(img).attr('src',data);
           imageData = data;
	};

	
	Model.prototype.CANCELClick = function(event){
		var div_cut = this.getElementByXid("CUT")	;
		$(div_cut).css('display','none');
	};


	//事件监听cutImg的SRC
	Model.prototype.input3Change = function(event){
			
	};
	Model.prototype.a1Click = function(event){
			var cutImg = this.getElementByXid("cutImg");
			var div_cut = this.getElementByXid("CUT");
			var img = this.getElementByXid("img");
			$(div_cut).css('display','block');
			$(img).css('display','inline-block');
	};


	//保存
	Model.prototype.col30Click = function(event){
		this.comp("lopop").show();
		var nickIn = this.comp("nickIn").val();
		var qianmingIn = this.comp("qianmingIn").val();
		var dqldata = this.comp("dqldata").val('zt');
		if(dqldata == 1){
			var dd = this.comp("shengData").val('area_id');
			var ee = this.comp("shiData").val('area_id');
			var ff = this.comp("quData").val('area_id');
		}else{
			var dd = justep.Shell.province.get();//省ID
			var ee = justep.Shell.city.get();//市ID
			var ff = justep.Shell.area.get();//地区ID
		}
		
		var xingbie = justep.Shell.sex.get();
		var username = justep.Shell.userName.get();
		var password = justep.Shell.password.get();
		var userId = justep.Shell.userId.get();
		var coachIntroduction = this.comp("coachIntroduction").val();//教练介绍
		var address = this.comp("address").val();//详细住址
		var type = justep.Shell.userType.get();//用户类型
		var th = this;
		

		if(justep.Shell.sex.get() == 0){
	
			 justep.Util.hint('<div style="color:#fff;margin-top:200px;text-align:center">性别不可为保密！</div>', {
					"type": ".abc",//{string} 提示类型，取值范围：info、success、warning、danger，缺省：info
					"delay" : 1000,//{integer} 自动关闭时间，单位为：毫秒，缺省：3000
					"position": "top",//{string} 显示位置，取值范围：top、middle、bottom，缺省：top 
					"style":  "margin-top:180px;height:300px;background:url(./img/user/denglu3x.png) no-repeat center  rgba(255,167,0,0.6);background-size:100%;border-radius:15px;",//{string} css样式，增加的自定义样式
					});
			th.comp("lopop").hide();
			return;
		}
		
		if(dd == 820000 || dd == 810000 || dd == 710000){
			yz = true;
		}else{
			if(ee == 0){
	
				 justep.Util.hint('<div style="color:#fff;margin-top:200px;text-align:center">请完善个人资料！</div>', {
						"type": ".abc",//{string} 提示类型，取值范围：info、success、warning、danger，缺省：info
						"delay" : 1000,//{integer} 自动关闭时间，单位为：毫秒，缺省：3000
						"position": "top",//{string} 显示位置，取值范围：top、middle、bottom，缺省：top 
						"style":  "margin-top:180px;height:300px;background:url(./img/user/denglu3x.png) no-repeat center  rgba(255,167,0,0.6);background-size:100%;border-radius:15px;",//{string} css样式，增加的自定义样式
						});
				yz = false;
				th.comp("lopop").hide();
				return;
			}else{
				yz = true;
			}
			if(ff == 0){

				 justep.Util.hint('<div style="color:#fff;margin-top:200px;text-align:center">请完善个人资料！</div>', {
						"type": ".abc",//{string} 提示类型，取值范围：info、success、warning、danger，缺省：info
						"delay" : 1000,//{integer} 自动关闭时间，单位为：毫秒，缺省：3000
						"position": "top",//{string} 显示位置，取值范围：top、middle、bottom，缺省：top 
						"style":  "margin-top:180px;height:300px;background:url(./img/user/denglu3x.png) no-repeat center  rgba(255,167,0,0.6);background-size:100%;border-radius:15px;",//{string} css样式，增加的自定义样式
						});
				yz = false;
				th.comp("lopop").hide();
				return;
			}else{
				yz = true;
			}

		}
		if(yz == true){	
			
        $.ajax({  
           "type" : "post",  
           "dataType" : "json",  
           "async" : true,  
           "url":serviceLink+"/index.php/WexApi/PersonalInfo/updateUserInfo",
           "data" : { 
        	    "head_img" : imageData,
				"user_name" : username,  
				"password" : password,
				"user_id" : userId,
				"nick_name" : nickIn,
				"province" : dd,
				"city" : ee,
				"area" : ff,
				"signature" : qianmingIn,
				"sex" : xingbie,
				"coach_introduction" : coachIntroduction,
				"address" : address,
				"type" : type,
			},
           "success" : function(userCon) {
        	   if(userCon.Rt_Code == 0){
				
					justep.Util.hint(userCon.Rt_Msg);
					th.comp("lopop").hide();
					return;
				}
				
				if(userCon.Rt_Code == 1){
				console.log(userCon);
				justep.Shell.addr.set(userCon.list);//合拼的地址
				justep.Shell.head_url.set(imageData);//用户头像url
				justep.Shell.nick_name.set(nickIn);//用户昵称
				justep.Shell.sex.set(xingbie);//用户性别,0保密 1男 2女
				justep.Shell.signature.set(qianmingIn);//用户个性签名
				justep.Shell.area.set(ff);//地区ID
				justep.Shell.city.set(ee);//市ID
				justep.Shell.province.set(dd);//省ID
				justep.Shell.coachIntroduction.set(coachIntroduction);//教练的介绍
				justep.Shell.address.set(address);//教练的详细住址
				
				var user = {};
					user.addr = userCon.list || "NONAME";
					user.area = ff || "NONAME";
					user.city = ee || "NONAME";
					user.head_url = imageData || "NONAME";
					user.nick_name = nickIn || "NONAME";
					user.province = dd || "NONAME";
					user.sex = xingbie || "NONAME";
					user.signature = qianmingIn || "NONAME";
					user.coachIntroduction = coachIntroduction || "NONAME";
					user.address = address || "NONAME";

				localStorage.setItem("userUUID", JSON.stringify(user));
				}
				
				

				 justep.Util.hint('<div style="color:#fff;margin-top:200px;text-align:center">修改成功！</div>', {
						"type": ".abc",//{string} 提示类型，取值范围：info、success、warning、danger，缺省：info
						"delay" : 1000,//{integer} 自动关闭时间，单位为：毫秒，缺省：3000
						"position": "top",//{string} 显示位置，取值范围：top、middle、bottom，缺省：top 
						"style":  "margin-top:180px;height:300px;background:url(./img/user/denglu3x.png) no-repeat center  rgba(255,167,0,0.6);background-size:100%;border-radius:15px;",//{string} css样式，增加的自定义样式
						});
				th.close();
            }
        }); 
		}
		
	};


	
//城市筛选
	Model.prototype.loginPd= function() {
		var dd = this.comp("shengData").val('area_id');
		return dd;
	
		};
		
		Model.prototype.loginPd2= function() {
		var ee = this.comp("shiData").val('area_id');
		return ee;
	
		};
		


	Model.prototype.shengDataCustomRefresh = function(event){
		var shengData = event.source;
        $.ajax({
            type: "GET",
            url: require.toUrl('.././json/sheng.json'),
            dataType: 'json',
            async: false,//使用同步方式，目前data组件有同步依赖
            cache: false,
            success: function(data){
            shengData.loadData(data);//将返回的数据加载到data组件
            },
            error: function(){
              throw justep.Error.create("加载数据失败");
            }
        });	


	};
	
		Model.prototype.shiDataCustomRefresh = function(event){
		var shiData = event.source;
        $.ajax({
            type: "GET",
            url: require.toUrl('.././json/shi.json'),
            dataType: 'json',
            async: false,//使用同步方式，目前data组件有同步依赖
            cache: false,
            success: function(data){
            shiData.loadData(data);//将返回的数据加载到data组件
            },
            error: function(){
              throw justep.Error.create("加载数据失败");
            }
        });	


	};

	Model.prototype.gridSelect4OptionFilter = function(event){
	var dd = this.comp("shengData").val('area_id');
    var shiData = this.comp('shiData');
    shiData.setFilter("shiFilter", "parent_id = "+ dd);
    shiData.refreshData();
	};

	Model.prototype.quDataCustomRefresh = function(event){
		var quData = event.source;
        $.ajax({
            type: "GET",
            url: require.toUrl('.././json/qu.json'),
            dataType: 'json',
            async: false,//使用同步方式，目前data组件有同步依赖
            cache: false,
            success: function(data){
            quData.loadData(data);//将返回的数据加载到data组件
            },
            error: function(){
              throw justep.Error.create("加载数据失败");
            }
        });	

	};


	Model.prototype.gridSelect1UpdateValue = function(event){
		var dt = this.comp("shiData");
		dt.clear();
		dt.refreshData();
	
	   	var dc = this.comp("quData");
		dc.clear();
		dc.refreshData();
	};


	Model.prototype.gridSelect4UpdateValue = function(event){
		var dt = this.comp("quData");
		dt.clear();
		dt.refreshData();
		
	};



	//性别
	Model.prototype.x0Click = function(event){
		var ii = 0;
		justep.Shell.sex.set(ii);//用户性别,0保密 1男 2女

		localStorage.removeItem("userUUID");
	};

	Model.prototype.x1Click = function(event){
		var ii = 1;
		justep.Shell.sex.set(ii);//用户性别,0保密 1男 2女

		localStorage.removeItem("userUUID");
	};

	Model.prototype.x2Click = function(event){
		var ii = 2;
		justep.Shell.sex.set(ii);//用户性别,0保密 1男 2女

		localStorage.removeItem("userUUID");
	};



	Model.prototype.modelLoad = function(event){
		var userData = this.comp("userData");
		if(justep.Shell.sex.get() == 0){
			var xB = true;
			var xN = false;
			var xV = false;
		}
		if(justep.Shell.sex.get() == 1){
			var xB = false;
			var xN = true;
			var xV = false;
		}
		if(justep.Shell.sex.get() == 2){
			var xB = false;
			var xN = false;
			var xV = true;
		}
		if(justep.Shell.signature.get()){
			var signature = justep.Shell.signature.get();
		}else{
			var signature = "";
		}
		userData.newData({defaultValues:[
		{
			userId : justep.Shell.userId.get(),
			nick_name : justep.Shell.nick_name.get(),
			signature : signature,
			xingbieB : xB,
			xingbieN : xN,
			xingbieV : xV,
			coachIntroduction : justep.Shell.coachIntroduction.get(),
			address : justep.Shell.address.get()
			}
		]});
		
	};



	//离开页面后动画隐藏
	Model.prototype.modelUnLoad = function(event){
		this.comp("lopop").hide();
	};



	Model.prototype.col5Click = function(event){
		this.getElementByXid('col26').style.display="block";
		this.getElementByXid('col5').style.display="none";
		var dqldata = this.comp("dqldata");
			dqldata.newData({defaultValues:[{zt : 1,}]});
	};




	return Model;
});