define(function(require){
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	require("$UI/sportsplus/dist/cropper");
	var UUID=require("$UI/system/lib/base/uuid");
	require("cordova!com.synconset.imagepicker");
	require("cordova!cordova-plugin-file-transfer");
	require("cordova!cordova-plugin-file");
	var utils = require("$UI/demo/plugin/utils");
	
	var Model = function(){
		this.callParent();
	};
	
	if (justep.Shell.userType.get() == 3 || justep.Shell.userType.get() ==5)
	{
	$('.vvvd').css('display','');
	}
	
	/*
	 *
	 *图片处理
	 *
	*/
	var imageData = ''

	Model.prototype.modelLoad = function(event){        
	
	var options = {
           modal: true,				//是否突出显示取景框，默认为true
           dragCrop: false,			//是否允许用户生成取景框, 默认是true
           movable: true,			//图片是否可以移动
           zoomable: true,			//是否允许缩放图片
           cropBoxMovable: false,		//取景框是否可以移动，默认是 true
           cropBoxResizable: false,		//用户是否能够调节取景框大小，默认为true
          aspectRatio: 1 / 1,				//取景框的宽高比
          preview: '.img-preview',	//剪裁完成后，剪裁出来的图片存放地址
        };
			$('.cropper-example-1 > img').cropper(options);

	};

	Model.prototype.button1Click = function(event){
		this.comp("button2").set({"disabled":false});
		$(this.getElementByXid('inputImage')).click();
	};

	Model.prototype.file1Change = function(event){
	
	//从选取文件对话框返回后，检查用户是否选择了文件，是否选择了图片文件
	if(!event.target.files){
			return;
	}


       var $image = $('.cropper-example-1 > img');
      
        var $inputImage = $( this.getElementByXid('inputImage'));

         var file = event.target.files[0];

          if (/^image\/\w+$/.test(file.type)) {
        	var blobURL = URL.createObjectURL(file);
            $image.one('built.cropper', function () {
              //URL.revokeObjectURL(blobURL); // Revoke when load complete
            }).cropper('reset').cropper('replace', blobURL);
            $inputImage.val('');

          } else {
            this.comp("messageDialog1").show({"message":'请选择图片文件！'});
           
          }
        
	};
	
	Model.prototype.button2Click = function(event){

	var div_cut = this.getElementByXid("CUT")	;
		$(div_cut).css('display','none');
		var img = this.getElementByXid("IDImage1");

			var self=this;
			var picName=UUID.createUUID();
           var result= $('.cropper-example-1 > img').cropper("getCroppedCanvas");

           var data=result.toDataURL();
           $(img).attr('src',data);
           imageData = data;
	};
	
		Model.prototype.CANCELClick = function(event){
		var div_cut = this.getElementByXid("CUT")	;
		$(div_cut).css('display','none');
	};
	
	Model.prototype.input3Change = function(event){
			
	};
	Model.prototype.a1Click = function(event){
			var cutImg = this.getElementByXid("cutImg");
			var div_cut = this.getElementByXid("CUT");
			var img = this.getElementByXid("img");
			$(div_cut).css('display','block');
			$(img).css('display','inline-block');
	};
	
	Model.prototype.getPicturesClick = function(event){
		//alert("rewrawerewa");
		var input = this.getElementByXid("input1");
		
		document.addEventListener("deviceready", androidOnDeviceReady, false);
		
	function androidOnDeviceReady() {
		/*
		调用getPictures有三个参数，成功回调，失败回调和options。option参数仅限于android端使用。
		options有以下几个下参数(maximumImagesCount,width,height,quality,outputType)，说明如下
	    options = {			
			图片选择数量默认为15张，如果设置为1张，点选一张图片后即可返回该图片路径。
			最大图片选择数量，规定了每次最多选择几张图片。
            maximumImagesCount: int,
            
            图片的高度和宽度限定，举例说明:如果宽高都设定为800，图片最大为800像素*800像素，如果宽度为800，高度为0，则图片则会有800像素宽。
            如果都写成0，则按照图片大小显示	            
            width: int,
            height: int,
            
            图片质量，取值为0-100
            quality: int (0-100),
            
			导出图片的类型，默认为window.imagePicker.OutputType.FILE_URI(实际值为0)，可选window.imagePicker.OutputType.BASE64_STRING (实际值为1)
            outputType: int
	        };
	    */
		imagePicker.getPictures(androidSuccessCallback, errorCallback,
				{
					"maximumImagesCount":2,
					"width":800,
					"height":800,
					"quallity":100,
					"outputType":window.imagePicker.OutputType.FILE_URI
				}
		);
	}
	function androidSuccessCallback(result) {
		//var uris = new Array();
	
		
      if (result.length > 0) {
      $(input).val(result);
        var content = '';
        var dfds = [];
        for (var i = 0; i < result.length; i++) {
          (function(){
              var dfd = $.Deferred();
              dfds.push(dfd);
             
              window.resolveLocalFileSystemURI(result[i],function(entry){
                  content += '<img src="'+ entry.toInternalURL() +'" style="float:left;width:50px;height:50px;margin:5px;"/>';    
                  
                  //uris.push(entry.toInternalURL());
                  dfd.resolve();
              },function(){
                dfd.resolve();
              });
          })();
        }
         
        $.when.apply($,dfds).done(function(){
        	
          document.getElementById("imageOutput").innerHTML = content;
        });
        
      
        
      } else {
        // picker was cancelled
       // console.log("没有选择图片");
      }
    
}
	function errorCallback(error) {
		//alert("错误信息: " + JSON.stringify(error));
	}
}
	Model.prototype.modelModelConstructDone = function(event) {
		utils.showCode(this,"getPicturesClick").prettyPrint();
	};

	//地区
	Model.prototype.getArea = function() {		
		if (justep.Shell.addr.get()) {
			return justep.Shell.addr.get() + "(点击我设置)";
		}else{
			return "还没设置地区，请点击我设置";
		}
	
	};

	

	





	//保存
	Model.prototype.col30Click = function(event){
		this.comp("lopop").show();
		var nickIn = this.comp("nickIn").val();
		var qianmingIn = this.comp("qianmingIn").val();
		var birthday = this.comp("birthdayIn").val();
		var height = this.comp("heightIn").val();
		var weight = this.comp("weightIn").val();
		var industry = this.comp("industryIn").val();
		var activity_place = this.comp("activity_placeIn").val();
		var dd = this.comp("shengData").val('area_id');
		var ee = this.comp("shiData").val('area_id');
		var ff = this.comp("quData").val('area_id');
		var head_img = justep.Shell.head_url.get();
		var xingbie = justep.Shell.sex.get();
		var username = justep.Shell.userName.get();
		var password = justep.Shell.password.get();
		var userId = justep.Shell.userId.get();
		var type = justep.Shell.userType.get();//用户类型
		var coachIntroduction = this.comp("coachIntroduction").val();
		var th = this;
		var dqldata = this.comp("dqldata").val('zt');
		if(dqldata == 1){
			var dd = this.comp("shengData").val('area_id');
			var ee = this.comp("shiData").val('area_id');
			var ff = this.comp("quData").val('area_id');
		}else{
			var dd = justep.Shell.province.get();//省ID
			var ee = justep.Shell.city.get();//市ID
			var ff = justep.Shell.area.get();//地区ID
		}
		
		 var context = this.getContext();
         
        //获取URL中的参数
        var a2 = context.getRequestParameter('a2');
        if (a2 == 1){
        	if( head_img == '' || dd =='' || ee =='' || ff ==''|| xingbie == 0 || birthday =='' || height ==''|| weight == ''||activity_place==''||industry=='')
        	{
        		if (head_img == ''){
        		 justep.Util.hint('<div style="color:#fff;margin-top:200px;text-align:center">请上传头像！</div>', {
						"type": ".abc",//{string} 提示类型，取值范围：info、success、warning、danger，缺省：info
						"delay" : 1000,//{integer} 自动关闭时间，单位为：毫秒，缺省：3000
						"position": "top",//{string} 显示位置，取值范围：top、middle、bottom，缺省：top 
						"style":  "margin-top:180px;height:300px;background:url(./img/user/denglu3x.png) no-repeat center  rgba(255,167,0,0.6);background-size:100%;border-radius:15px;",//{string} css样式，增加的自定义样式
						}); 
						return;
        		}
        		if (dd == ''){
        		 justep.Util.hint('<div style="color:#fff;margin-top:200px;text-align:center">请选择省份！</div>', {
						"type": ".abc",//{string} 提示类型，取值范围：info、success、warning、danger，缺省：info
						"delay" : 1000,//{integer} 自动关闭时间，单位为：毫秒，缺省：3000
						"position": "top",//{string} 显示位置，取值范围：top、middle、bottom，缺省：top 
						"style":  "margin-top:180px;height:300px;background:url(./img/user/denglu3x.png) no-repeat center  rgba(255,167,0,0.6);background-size:100%;border-radius:15px;",//{string} css样式，增加的自定义样式
						}); 
						return;
        		}
        		if (ee == ''){
        		 justep.Util.hint('<div style="color:#fff;margin-top:200px;text-align:center">请选择城市！</div>', {
						"type": ".abc",//{string} 提示类型，取值范围：info、success、warning、danger，缺省：info
						"delay" : 1000,//{integer} 自动关闭时间，单位为：毫秒，缺省：3000
						"position": "top",//{string} 显示位置，取值范围：top、middle、bottom，缺省：top 
						"style":  "margin-top:180px;height:300px;background:url(./img/user/denglu3x.png) no-repeat center  rgba(255,167,0,0.6);background-size:100%;border-radius:15px;",//{string} css样式，增加的自定义样式
						}); 
						return;
        		}
        		if (ff == ''){
        		 justep.Util.hint('<div style="color:#fff;margin-top:200px;text-align:center">请选择地区！</div>', {
						"type": ".abc",//{string} 提示类型，取值范围：info、success、warning、danger，缺省：info
						"delay" : 1000,//{integer} 自动关闭时间，单位为：毫秒，缺省：3000
						"position": "top",//{string} 显示位置，取值范围：top、middle、bottom，缺省：top 
						"style":  "margin-top:180px;height:300px;background:url(./img/user/denglu3x.png) no-repeat center  rgba(255,167,0,0.6);background-size:100%;border-radius:15px;",//{string} css样式，增加的自定义样式
						}); 
						return;
        		}
        		if (xingbie == 0){
        		 justep.Util.hint('<div style="color:#fff;margin-top:200px;text-align:center">请选择正确的性别！</div>', {
						"type": ".abc",//{string} 提示类型，取值范围：info、success、warning、danger，缺省：info
						"delay" : 1000,//{integer} 自动关闭时间，单位为：毫秒，缺省：3000
						"position": "top",//{string} 显示位置，取值范围：top、middle、bottom，缺省：top 
						"style":  "margin-top:180px;height:300px;background:url(./img/user/denglu3x.png) no-repeat center  rgba(255,167,0,0.6);background-size:100%;border-radius:15px;",//{string} css样式，增加的自定义样式
						}); 
						return;
        		}
        		if (birthday == ''){
        		 justep.Util.hint('<div style="color:#fff;margin-top:200px;text-align:center">请填写生日！</div>', {
						"type": ".abc",//{string} 提示类型，取值范围：info、success、warning、danger，缺省：info
						"delay" : 1000,//{integer} 自动关闭时间，单位为：毫秒，缺省：3000
						"position": "top",//{string} 显示位置，取值范围：top、middle、bottom，缺省：top 
						"style":  "margin-top:180px;height:300px;background:url(./img/user/denglu3x.png) no-repeat center  rgba(255,167,0,0.6);background-size:100%;border-radius:15px;",//{string} css样式，增加的自定义样式
						}); 
						return;
        		}
        		if (height == ''){
        		 justep.Util.hint('<div style="color:#fff;margin-top:200px;text-align:center">请填写身高！</div>', {
						"type": ".abc",//{string} 提示类型，取值范围：info、success、warning、danger，缺省：info
						"delay" : 1000,//{integer} 自动关闭时间，单位为：毫秒，缺省：3000
						"position": "top",//{string} 显示位置，取值范围：top、middle、bottom，缺省：top 
						"style":  "margin-top:180px;height:300px;background:url(./img/user/denglu3x.png) no-repeat center  rgba(255,167,0,0.6);background-size:100%;border-radius:15px;",//{string} css样式，增加的自定义样式
						}); 
						return;
        		}
        		if (weight == ''){
        		 justep.Util.hint('<div style="color:#fff;margin-top:200px;text-align:center">请填写体重！</div>', {
						"type": ".abc",//{string} 提示类型，取值范围：info、success、warning、danger，缺省：info
						"delay" : 1000,//{integer} 自动关闭时间，单位为：毫秒，缺省：3000
						"position": "top",//{string} 显示位置，取值范围：top、middle、bottom，缺省：top 
						"style":  "margin-top:180px;height:300px;background:url(./img/user/denglu3x.png) no-repeat center  rgba(255,167,0,0.6);background-size:100%;border-radius:15px;",//{string} css样式，增加的自定义样式
						}); 
						return;
        		}
        		if (activity_place == ''){
        		 justep.Util.hint('<div style="color:#fff;margin-top:200px;text-align:center">请填写常运动地点！</div>', {
						"type": ".abc",//{string} 提示类型，取值范围：info、success、warning、danger，缺省：info
						"delay" : 1000,//{integer} 自动关闭时间，单位为：毫秒，缺省：3000
						"position": "top",//{string} 显示位置，取值范围：top、middle、bottom，缺省：top 
						"style":  "margin-top:180px;height:300px;background:url(./img/user/denglu3x.png) no-repeat center  rgba(255,167,0,0.6);background-size:100%;border-radius:15px;",//{string} css样式，增加的自定义样式
						}); 
						return;
        		}
        		if (industry == ''){
        		 justep.Util.hint('<div style="color:#fff;margin-top:200px;text-align:center">请填写职业！</div>', {
						"type": ".abc",//{string} 提示类型，取值范围：info、success、warning、danger，缺省：info
						"delay" : 1000,//{integer} 自动关闭时间，单位为：毫秒，缺省：3000
						"position": "top",//{string} 显示位置，取值范围：top、middle、bottom，缺省：top 
						"style":  "margin-top:180px;height:300px;background:url(./img/user/denglu3x.png) no-repeat center  rgba(255,167,0,0.6);background-size:100%;border-radius:15px;",//{string} css样式，增加的自定义样式
						}); 
						return;
        		}
        	
        	}
        
        
        
        }
        
        var count = 0,count1=0;
		var input1 = this.getElementByXid("input1");  //隐藏input  用来放身份证的URL

		/*var contentInput = this.getElementByXid("content"); //文本输入框
		var content = $(contentInput).val();    //获取文本内容
*/		//console.log($(input).val());
		var dfds = [];
	
		var IDCardUrl = $(input1).val().split(","); //身份证URL转换数组
	

		
		
		//IDCardUrl = IDCardUrl.split(",");
		//PaperUrl = PaperUrl.split(",");
		//console.log(IDCardUrl);
		//console.log(PaperUrl);
		//var circle_id = "";
		//console.log(val);
	
		
		var user_id = justep.Shell.userId.get();
		//根据上面ajax返回的ID更新身份证图片
		for (var i = 0; i < IDCardUrl.length; i++) {
		 var dfd = $.Deferred();
              dfds.push(dfd);
             
              window.resolveLocalFileSystemURI(IDCardUrl[i],function(entry){
             
            	  var url = encodeURI(serviceLink+"/index.php/WexApi/PersonalInfo/saveCoachImg/id/"+user_id+"/user_id/"+user_id);
                  
                  var options = new FileUploadOptions();
                  
                  options.fileKey = "file";
                  //options.fileName = entry.toInternalURL().substr(entry.toInternalURL().lastIndexOf('/')+1);
                  options.mimeType = "image/jpg";
                  
                  var headers = {'headerParam':'headerValue'};
                  
                  var ft = new FileTransfer();
                  
                  ft.upload(entry.toInternalURL(),url,win,fail,options);
                  
                  function win(r){
                	 // console.log(r);
                	   count++;
                	   if(count == IDCardUrl.length){
                		  
                	   }
                  }
                  function fail(r){
                	  console.log("fail:"+r);
                  }
                       
                  dfd.resolve();
              },function(){
                dfd.resolve();
              });
		};
		
		
		if (imageData == '' || imageData == null){
		imageData == justep.Shell.head_url.get();
		
		}

        $.ajax({  
           "type" : "post",  
           "dataType" : "json",  
           "async" : true,  
           "url":serviceLink+"/index.php/WexApi/PersonalInfo/updateUserInfo",
           "data" : { 
				"user_name" : username,  
				"password" : password,
				"user_id" : userId,
				"nick_name" : nickIn,
				"head_img" : imageData,
				"province" : dd,
				"city" : ee,
				"area" : ff,
				"signature" : qianmingIn,
				"sex" : xingbie,
				"type" : type,
				"birthday" : birthday,
				"height" : height,
				"weight" : weight,
				"activity_place" : activity_place,
				"industry" : industry,
				"coach_introduction" : coachIntroduction
			},
           "success" : function(userCon) {
        	   if(userCon.Rt_Code == 0){
				
					justep.Util.hint(userCon.Rt_Msg);
					th.comp("lopop").hide();
					return;
				}
				
				if(userCon.Rt_Code == 1){
				console.log(userCon);
				justep.Shell.addr.set(userCon.list);//合拼的地址
				justep.Shell.head_url.set(imageData);//用户头像url
				justep.Shell.nick_name.set(nickIn);//用户昵称
				justep.Shell.sex.set(xingbie);//用户性别,0保密 1男 2女
				justep.Shell.signature.set(qianmingIn);//用户个性签名
				justep.Shell.area.set(ff);//地区ID
				justep.Shell.city.set(ee);//市ID
				justep.Shell.province.set(dd);//省ID
				justep.Shell.birthday.set(birthday);//省ID
				justep.Shell.height.set(height);//省ID
				justep.Shell.weight.set(weight);//省ID
				justep.Shell.activity_place.set(activity_place);//省ID
				justep.Shell.industry.set(industry);//省ID
				justep.Shell.coachIntroduction.set(coachIntroduction);//教练的介绍
				
				

				
				var user = {};
					user.addr = userCon.list || "NONAME";
					user.area = ff || "NONAME";
					user.city = ee || "NONAME";
					user.head_url = imageData || "NONAME";
					user.nick_name = nickIn || "NONAME";
					user.province = dd || "NONAME";
					user.sex = xingbie || "NONAME";
					user.signature = qianmingIn || "NONAME";
					user.birthday = birthday || "NONAME";
					user.height = height || "NONAME";
					user.weight = weight || "NONAME";
					user.activity_place = activity_place || "NONAME";
					user.industry = industry || "NONAME";
					user.coachIntroduction = coachIntroduction || "NONAME";

				localStorage.setItem("userUUID", JSON.stringify(user));
				 justep.Util.hint('<div style="color:#fff;margin-top:200px;text-align:center">修改成功</div>', {
						"type": ".abc",//{string} 提示类型，取值范围：info、success、warning、danger，缺省：info
						"delay" : 1000,//{integer} 自动关闭时间，单位为：毫秒，缺省：3000
						"position": "top",//{string} 显示位置，取值范围：top、middle、bottom，缺省：top 
						"style":  "margin-top:180px;height:300px;background:url(./img/user/denglu3x.png) no-repeat center  rgba(255,167,0,0.6);background-size:100%;border-radius:15px;",//{string} css样式，增加的自定义样式
						});
		
				th.close();
				}
            }
        }); 

		
	};


	
//城市筛选
	Model.prototype.loginPd= function() {
		var dd = this.comp("shengData").val('area_id');
		return dd;
	
		};
		
	Model.prototype.loginPd2= function() {
		var ee = this.comp("shiData").val('area_id');
		return ee;
	
	};
		


	Model.prototype.shengDataCustomRefresh = function(event){
		var shengData = event.source;
        $.ajax({
            type: "GET",
            url: require.toUrl('.././json/sheng.json'),
            dataType: 'json',
            async: false,//使用同步方式，目前data组件有同步依赖
            cache: false,
            success: function(data){
            shengData.loadData(data);//将返回的数据加载到data组件
            },
            error: function(){
              throw justep.Error.create("加载数据失败");
            }
        });	


	};
	
		Model.prototype.shiDataCustomRefresh = function(event){
		var shiData = event.source;
        $.ajax({
            type: "GET",
            url: require.toUrl('.././json/shi.json'),
            dataType: 'json',
            async: false,//使用同步方式，目前data组件有同步依赖
            cache: false,
            success: function(data){
            shiData.loadData(data);//将返回的数据加载到data组件
            },
            error: function(){
              throw justep.Error.create("加载数据失败");
            }
        });	


	};
		Model.prototype.kkk= function() {
		if (justep.Shell.userType.get() == 3) {
			return true;
		}
		if (justep.Shell.userType.get() == 0) {
			return false;
		}
	};
	
	Model.prototype.gridSelect4OptionFilter = function(event){
		var dd = this.comp("shengData").val('area_id');
		var shiData = this.comp('shiData');
		shiData.setFilter("shiFilter", "parent_id = "+ dd);
		shiData.refreshData();
	};

	Model.prototype.quDataCustomRefresh = function(event){
		var quData = event.source;
        $.ajax({
            type: "GET",
            url: require.toUrl('.././json/qu.json'),
            dataType: 'json',
            async: false,//使用同步方式，目前data组件有同步依赖
            cache: false,
            success: function(data){
            quData.loadData(data);//将返回的数据加载到data组件
            },
            error: function(){
              throw justep.Error.create("加载数据失败");
            }
        });	

	};


	Model.prototype.gridSelect1UpdateValue = function(event){
		var dt = this.comp("shiData");
		dt.clear();
		dt.refreshData();
	
	   	var dc = this.comp("quData");
		dc.clear();
		dc.refreshData();
	};


	Model.prototype.gridSelect4UpdateValue = function(event){
		var dt = this.comp("quData");
		dt.clear();
		dt.refreshData();
		
	};



	//性别
	Model.prototype.x0Click = function(event){
		var ii = 0;
		justep.Shell.sex.set(ii);//用户性别,0保密 1男 2女

		localStorage.removeItem("userUUID");
	};

	Model.prototype.x1Click = function(event){
		var ii = 1;
		justep.Shell.sex.set(ii);//用户性别,0保密 1男 2女

		localStorage.removeItem("userUUID");
	};

	Model.prototype.x2Click = function(event){
		var ii = 2;
		justep.Shell.sex.set(ii);//用户性别,0保密 1男 2女

		localStorage.removeItem("userUUID");
	};



	Model.prototype.modelLoad = function(event){
		var userData = this.comp("userData");
		if(justep.Shell.sex.get() == 0){
			var xB = true;
			var xN = false;
			var xV = false;
		}
		if(justep.Shell.sex.get() == 1){
			var xB = false;
			var xN = true;
			var xV = false;
		}
		if(justep.Shell.sex.get() == 2){
			var xB = false;
			var xN = false;
			var xV = true;
		}
		if(justep.Shell.signature.get()){
			var signature = justep.Shell.signature.get();
		}else{
			var signature = "";
		}
		userData.newData({defaultValues:[
		{
			userId : justep.Shell.userId.get(),
			nick_name : justep.Shell.nick_name.get(),
			signature : signature,
			xingbieB : xB,
			xingbieN : xN,
			xingbieV : xV,
			birthday : justep.Shell.birthday.get(),//用户出生年月
			height : justep.Shell.height.get(),//身高
			weight : justep.Shell.weight.get(),//体重
			industry : justep.Shell.industry.get(),//职业
			activity_place : justep.Shell.activity_place.get(),//常活动地方,多个以逗号分隔
			coachIntroduction : justep.Shell.coachIntroduction.get()//常活动地方,多个以逗号分隔
			}
		]});
		
	};



	//离开页面后动画隐藏
	Model.prototype.modelUnLoad = function(event){
		this.comp("lopop").hide();
	};

	Model.prototype.col5Click = function(event){
		this.getElementByXid('col26').style.display="block";
		this.getElementByXid('col5').style.display="none";
		var dqldata = this.comp("dqldata");
			dqldata.newData({defaultValues:[{zt : 1,}]});
	};

	return Model;
});