define(function(require) {
	var $ = require("jquery");
	require("$UI/system/lib/cordova/cordova");
	var justep = require("$UI/system/lib/justep");
		
	var bmap = require('$UI/system/components/justep/bmap/bmap');

	var Model = function() {
		this.callParent();
	};

	// 图片路径转换
	Model.prototype.getImageUrl = function(url) {
		return require.toUrl(url);
	};

	var user_id = justep.Shell.userId.get();





	Model.prototype.modelLoad = function(event){
		
	 

		     	$.ajax({  
            "type" : "post",  
            "dataType" : "json",  
            "async" : false,  
            "data" : {
  
            	    "user_id" : user_id,
            },
            "url":serviceLink+"/index.php/WexApi/PersonalInfo/getBalance",
            
            "success" : function(data) {  
         justep.Shell.balance.set(data.RtData);//用户余额
			
				

				var user = {};
				
					user.balance = data.RtData || "";
				

				localStorage.setItem("userUUID", JSON.stringify(user));
       
            }  
        }); 	
	};


	Model.prototype.daifuBtnClick = function(event){

	
	};


	Model.prototype.weixiaoBtnClick = function(event){
			var ticketGetData = this.comp("ticketGetData");
	 

		     	$.ajax({  
            "type" : "post",  
            "dataType" : "json",  
            "async" : false,  
            "data" : {
  
            	    "user_id" : user_id,
            	    "type" : 1
            },
           "url":serviceLink+"/index.php/WexApi/Ticket/userTicketList",
            
            "success" : function(data) {  
            ticketGetData.loadData(data.list);
       
            }  
        }); 
	};


	Model.prototype.huodongBtnClick = function(event){
		var ticketGetData = this.comp("ticketGetData");
	 

		     	$.ajax({  
            "type" : "post",  
            "dataType" : "json",  
            "async" : false,  
            "data" : {
  
            	    "user_id" : user_id,
            	    "type" : 2
            },
            "url":serviceLink+"/index.php/WexApi/Ticket/userTicketList",
            
            "success" : function(data) {  
            ticketGetData.loadData(data.list);
       
            }  
        }); 
	};

	





	Model.prototype.ticketDataCustomRefresh = function(event){
		var ticketData = this.comp("ticketData");
	 

		     	$.ajax({  
            "type" : "post",  
            "dataType" : "json",  
            "async" : false,  
            "data" : {
  
            	    "user_id" : user_id,
            },
            "url":serviceLink+"/index.php/WexApi/Ticket/TicketList",
            
            "success" : function(data) {  
            ticketData.loadData(data.list);
       
            }  
        }); 
	};


	Model.prototype.changeClick = function(event){
		var ticket_id = event.bindingContext.$object.val("id");
		
		     	$.ajax({  
            "type" : "post",  
            "dataType" : "json",  
            "async" : false,  
            "data" : {
  
            	    "user_id" : user_id,
            	    "ticket_id" : ticket_id
            },
            "url":serviceLink+"/index.php/WexApi/Ticket/recieveTicket",
            
            "success" : function(data) {  
            if (data.Rt_Code == 1 ) {
            justep.Util.hint('<div style="color:#fff;margin-top:200px;text-align:center">领取成功</div>', {
						"type": ".abc",//{string} 提示类型，取值范围：info、success、warning、danger，缺省：info
						"delay" : 1000,//{integer} 自动关闭时间，单位为：毫秒，缺省：3000
						"position": "top",//{string} 显示位置，取值范围：top、middle、bottom，缺省：top 
						"style":  "margin-top:180px;height:300px;background:url(./img/user/denglu3x.png) no-repeat center  rgba(255,167,0,0.6);background-size:100%;border-radius:15px;",//{string} css样式，增加的自定义样式
						});
						}
		 else if  (data.Rt_Code == 2 ) {
            justep.Util.hint('<div style="color:#fff;margin-top:200px;text-align:center">你已领取过该优惠券</div>', {
						"type": ".abc",//{string} 提示类型，取值范围：info、success、warning、danger，缺省：info
						"delay" : 1000,//{integer} 自动关闭时间，单位为：毫秒，缺省：3000
						"position": "top",//{string} 显示位置，取值范围：top、middle、bottom，缺省：top 
						"style":  "margin-top:180px;height:300px;background:url(./img/user/denglu3x.png) no-repeat center  rgba(255,167,0,0.6);background-size:100%;border-radius:15px;",//{string} css样式，增加的自定义样式
						});
						} else if  (data.Rt_Code == 0 ) {
            justep.Util.hint('<div style="color:#fff;margin-top:200px;text-align:center">领取失败</div>', {
						"type": ".abc",//{string} 提示类型，取值范围：info、success、warning、danger，缺省：info
						"delay" : 1000,//{integer} 自动关闭时间，单位为：毫秒，缺省：3000
						"position": "top",//{string} 显示位置，取值范围：top、middle、bottom，缺省：top 
						"style":  "margin-top:180px;height:300px;background:url(./img/user/denglu3x.png) no-repeat center  rgba(255,167,0,0.6);background-size:100%;border-radius:15px;",//{string} css样式，增加的自定义样式
						});
						}
       
            }  
        }); 
	};


	Model.prototype.row15Click = function(event){
		var type = event.bindingContext.$object.val("type");

		switch(type){
				case "2":
				justep.Shell.showPage(require.toUrl('../yuelian/yuelianList.w'));
				break;
				case "1":
				justep.Shell.showPage(require.toUrl('../dingchang/dingchangList.w'));
				break;
				case "3":
				justep.Shell.showPage(require.toUrl('../user/releaseActivity.w'));
				break;
				default:
				break;
		}
		
	};


	Model.prototype.button1Click = function(event){
			justep.Shell.showPage(require.toUrl('./money.w'));
	};


	return Model;
});