define(function(require) {
	require("css!$UI/system/components/bootstrap/lib/css/bootstrap").load();
	require("cordova!cordova-plugin-geolocation");
	require("cordova!com.justep.cordova.plugin.baidulocation");
	require("cordova!com.justep.cordova.plugin.baiduMapBase");
	var bmap = require('$UI/system/components/justep/bmap/bmap');
	
	var $ = require("jquery");
	
	var justep = require("$UI/system/lib/justep");

	var Model = function() {
		this.callParent();
	};

	Model.prototype.modelLoad = function(event) {
		//this.loadGaodeMap();
		Location = this.comp("LocationData");
		
	
	};
	
	var global_full_address = "";
	var global_x = "";
	var global_y = "";
	var global_province = "";
	var global_city = "";
	var global_area = "";
	var global_address = "";
	var seller_id = 0;
	function geo(e){
       geoc.getLocation(e,function(rs){
		        	var addComp = rs.addressComponents;
		        	console.log(e.point);
		        	
		        	if(global_full_address){
		        		global_full_address= "";
		        		
		        	}else{
		        		//ti.comp("input1").val(addComp.province+addComp.city+addComp.district+addComp.street+addComp.streetNumber);
		        		global_x = e.lng;
		        		global_y = e.lat;
		        		global_province = addComp.province;
						global_city = addComp.city;
						global_area = addComp.district;
						global_address = addComp.street+addComp.streetNumber;
						seller_id = 0;
		        	}
		        	
		        });
	}
	
	function successCallback(data){
        alert("经度:"+data.coords.longitude +"\n"
                +"纬度:"+data.coords.latitude +"\n"
                +"坐标系:"+data.coorType
                );
                
            var id = this.getIDByXID("baiduMap");
			var map = new BMap.Map(id);
			var point = new BMap.Point(data.coords.longitude,data.coords.latitude);
			map.centerAndZoom(point,12);
		
	};
	
	
	
	function errorCallback(result){
		alert("错误信息："+result);
		
	};
	
		
	function aba(){
	
		justep.Shell.showPage(require.toUrl('./mainActivity.w?a1=3'));
	
	};
	
	Model.prototype.getCurrentPositionClick = function(event){
	alert('123456');
		//支持的坐标系有三种gcj02(国测局坐标系)，bd09ll(百度坐标系)，wgs84(gps坐标系)。如果需要获取指定坐标系的坐标，第三个参数要写null，第三个参数是iOS的参数，android无效，但是要占位
		navigator.geolocation.getCurrentPosition(successCallback,errorCallback,null,"bd09ll");
	};
	
	var markerCallBack = "";
	var map = "";
	var marker1 = "";
	Model.prototype.windowReceiver1Receive = function(event){
		//alert(event.data.x);
		console.log(event.data);
		Location = this.comp("LocationData");
		if (event.data.x==''||event.data.x==null){
		 event.data.y = 22.508719;
		 event.data.x = 113.394593;
	}
		Location.newData({defaultValues:[
                        {
                        	x : event.data.x,
                        	y : event.data.y,
                        	sport_id : event.data.sport_id
                        }]
                });
         this.loadBaiduMap();
		
	};
	var geoc ;
	
	
	Model.prototype.loadBaiduMap = function() {
	$(".Map").height($(window).height() - 128);
	
	var ti= this;
	var book = this.getElementByXid("book");
	var Location = this.comp("LocationData");
	
	var x = Location.val('x');
	var y = Location.val('y');
	var sport_id = Location.val('sport_id');
	var judge = 1;
	
	
	console.log('x:'+x+",y:"+y);
	var dataArray = "";
	//ajax获取当前定位下附近的场馆坐标
	$.ajax({
		type:'post',
		dataType:'json',
		url:'http://ss.hd360.cc/index.php/WexApi/Map/getNearby',
		data:{
			'x':x,
			'y':y,
			'sport_id':sport_id
		},
		async: false,
		success:function(res){
			var data = res.data; 
			if(res.code){
				dataArray = data;
			}else{
				judge = res.code;
				//alert(res.msg);
			}
		},
		error:function(res){
			
		}
	});
	
	
	
	


		var id = this.getIDByXID("baiduMap");
		
		//116.397428, 39.90923
		window._baiduInit = function() {
			
			console.log(dataArray);
			map = new BMap.Map(id);
			geoc = new BMap.Geocoder();
			map.centerAndZoom(new BMap.Point(x,y), 16);
			map.addControl(new BMap.MapTypeControl());
			map.setCurrentCity("中山");
			
			//var map = new BMap.Map("baiduMap");
			//map.centerAndZoom(new BMap.Point(Location.x, Location.y), 18);
			var myIcon = new BMap.Icon("http://api.map.baidu.com/img/markers.png", new BMap.Size(23, 25), {  
				       offset: new BMap.Size(10, 25), // 指定定位位置  
				       imageOffset: new BMap.Size(0, 0 - 10 * 25) // 设置图片偏移  
				});
		        markerCallBack=new BMap.Marker(new BMap.Point(x,y),{icon:myIcon});  
		        map.removeOverlay(markerCallBack);  
		        map.addOverlay(markerCallBack);  
			
			function showInfo(e){
				//alert(e.point.lng + ", " + e.point.lat);
				console.log(e.point.lng + ", " + e.point.lat);
				geoc.getLocation(e.point,function(rs){
		        	var addComp = rs.addressComponents;
		        	console.log(e.point);
		        	if(global_full_address){
		        		global_full_address= "";
		        		
		        	}else{
		        		ti.comp("input1").val(addComp.province+addComp.city+addComp.district+addComp.street+addComp.streetNumber);
		        		global_x = e.point.lng;
		        		global_y = e.point.lat;
		        		global_province = addComp.province;
						global_city = addComp.city;
						global_area = addComp.district;
						global_address = addComp.street+addComp.streetNumber;
						seller_id = 0;
		        	}
		        	
		        });
				map.removeOverlay(marker1); 
				//map.removeOverlay(markerCallBack);
				map.removeOverlay(markerCallBack);  
				markerCallBack=new BMap.Marker(new BMap.Point(e.point.lng,e.point.lat),{icon:myIcon});  
		        map.addOverlay(markerCallBack);  
		        //根据坐标获取地址
		        
		
		        
			}
			
			function viewChange(e){
			
			}
			
			map.addEventListener("touchstart", showInfo);
			//map.addEventListener("moveend",viewChange);
	
			if(judge){
			
			 var point = new Array(); //存放标注点经纬信息的数组
             var marker = new Array(); //存放标注点对象的数组
             var info = new Array(); //存放提示信息窗口对象的数组
             
             var pa_maker = new window.BMap.Marker();
             
             for(var i = 0;i<30;i++){
            	 marker[i] = pa_maker;
             }
             
             for (var i = 0; i < dataArray.length; i++) {
            	  var p0 = dataArray[i].location_x; //
                  var p1 = dataArray[i].location_y; //按照原数组的point格式将地图点坐标的经纬度分别提出来
                   point[i] = new window.BMap.Point(p0, p1); //循环生成新的地图点
                   marker[i] = new window.BMap.Marker(point[i]); //按照地图点坐标生成标记
                   map.addOverlay(marker[i]);
                   //marker[i].setAnimation(BMAP_ANIMATION_BOUNCE); //跳动的动画
                  //var label = new window.BMap.Label(provinces[i].title, { offset: new window.BMap.Size(20, -10) });
                   //marker[i].setLabel(label);
                   info[i] = new window.BMap.InfoWindow("<p style=’font-size:12px;lineheight:1.8em;’>名称：" 
                		   						+ dataArray[i].place_name + "</br>地址：" 
                		   						+ dataArray[i].province +" "
                		   						+ dataArray[i].city +" "
                		   						+ dataArray[i].area +" "
                		   						+ dataArray[i].address + "</br> 电话：" 
                		   						+ dataArray[i].m_tel + "</br>距离："
                		   						+ dataArray[i].distance
                		   						+'</p>'); // 创建信息窗口对象
                		   						
                 
             }
             var mapData = ti.comp("mapData");
             		function setData(param){mapData.newData({defaultValues:[
                        {
                        place_name : dataArray[param].place_name,
                        x : dataArray[param].location_x,
                        y : dataArray[param].location_y,
                        province : dataArray[param].province,
                        city : dataArray[param].city,
                        area : dataArray[param].area,
                        address : dataArray[param].address,
                        m_tel : dataArray[param].m_tel,
                        user_id : dataArray[param].user_id
                        }
                        
                        ]})
                        var iii = mapData.val("place_name")
                        
                        global_x = dataArray[param].location_x;
		        		global_y = dataArray[param].location_y;
		        		global_province = dataArray[param].province;
						global_city = dataArray[param].city;
						global_area = dataArray[param].area;
						global_address = dataArray[param].address;
                        global_full_address = dataArray[param].province+" "
                        				+dataArray[param].city+" "
                        				+dataArray[param].area+" "
                        				+dataArray[param].address;
                        ti.comp("input1").val(global_full_address);
                        seller_id = dataArray[param].user_id;
                        console.log(iii);
                        }
             
               		marker[0].addEventListener("click", function () {
                        this.openInfoWindow(info[0]);
                        setData(0);
                        $(book).css('display','block');
                    });
                    marker[1].addEventListener("click", function () {
                        this.openInfoWindow(info[1]);
                        setData(1);
                        $(book).css('display','block');
                    });
                    marker[2].addEventListener("click", function () {
                        this.openInfoWindow(info[2]);
                        setData(2);
                        $(book).css('display','block');
                    });
                    marker[3].addEventListener("click", function () {
                        this.openInfoWindow(info[3]);
                        setData(3);
                        $(book).css('display','block');
                    });
                    marker[4].addEventListener("click", function () {
                        this.openInfoWindow(info[4]);
                        setData(4);
                        $(book).css('display','block');
                    });
                    marker[5].addEventListener("click", function () {
                        this.openInfoWindow(info[5]);
                        setData(5);
                        $(book).css('display','block');
                    });
                    marker[6].addEventListener("click", function () {
                        this.openInfoWindow(info[6]);
                        setData(6);
                        $(book).css('display','block');
                    });
                    marker[7].addEventListener("click", function () {
                        this.openInfoWindow(info[7]);
                        setData(7);
                        $(book).css('display','block');
                    });
                    marker[8].addEventListener("click", function () {
                        this.openInfoWindow(info[8]);
                        setData(8);
                        $(book).css('display','block');
                    });
             }
			
			map.enableScrollWheelZoom(true);
			
		};
		require([ 'http://api.map.baidu.com/api?v=1.4&ak=您的密钥&callback=_baiduInit' ], function() {
			if (window.BMap && window.BMap.Map) {
				window._baiduInit();
			}
		});
	};
	
	

	Model.prototype.loadGaodeMap = function() {
		/*var id = this.getIDByXID("gaodeMap");
		window._gaodeInit = function() {
			var map = new AMap.Map(id, {
				resizeEnable : true,
				rotateEnable : true,
				dragEnable : true,
				zoomEnable : true,
				zooms : [ 3, 18 ],
				view : new AMap.View2D({
					center : new AMap.LngLat(116.397428, 39.90923),
					zoom : 12
				})
			});
		};		
		require([ 'http://webapi.amap.com/maps?v=1.3&key=yourkey&callback=_gaodeInit' ], function() {
			if (window.AMap && window.AMap.Map) {
				window._gaodeInit();
			}
		});*/
	};
	

	
	


	

	
	
	
	
	Model.prototype.bookClick = function(event){
		var data = this.comp("mapData");
		//data.val();
		//地图页面关闭时传递信息到父页面中
		this.comp("windowReceiver1").windowEnsure({title:data.val('place_name'),
													province:global_province,
													city:global_city,
													area:global_area,
													address:global_address,
													full_address:this.comp("input1").val(),
													m_tel:data.val('m_tel'),
													seller_id:seller_id,
													position_x:global_x,
													position_y:global_y
													});
	};

	
	
	
	
	Model.prototype.input1Focus = function(event){
		var a = this.comp("input1").val();
		console.log(a);
		this.comp("windowDialog1").set({src:require.toUrl("./search.w")});
		this.comp("windowDialog1").open({data :{address:a,city:global_city}});
	};

	
	
	
	
	Model.prototype.input1Change = function(event){
		
	};

	
	
	
	
	Model.prototype.windowDialog1Receive = function(event){
		console.log("event.point:"+event.data.point.lng);
		console.log("event.full_address:"+event.data.full_address);
	
		this.comp("input1").val(event.data.full_address);
		
		 global_x = event.data.point.lng;
		 global_y = event.data.point.lat;
		 global_full_address = event.data.full_address;
		 global_province = "";
		 global_city = "";
		 global_area = "";
		 global_address = "";
		 seller_id = 0;
		 var myIcon = new BMap.Icon("http://api.map.baidu.com/img/markers.png", new BMap.Size(23, 25), {  
				       offset: new BMap.Size(10, 25), // 指定定位位置  
				       imageOffset: new BMap.Size(0, 0 - 10 * 25) // 设置图片偏移  
				});
				map.centerAndZoom(new BMap.Point(event.data.point.lng,event.data.point.lat), 16);
		 		map.removeOverlay(marker1); 
				//map.removeOverlay(marker);
				map.removeOverlay(markerCallBack);  
				markerCallBack=new BMap.Marker(new BMap.Point(event.data.point.lng,event.data.point.lat),{icon:myIcon});  
		        map.addOverlay(markerCallBack);  
		 
	};

	
	
	
	
	return Model;
});














