define(function (require) {
    var $ = require("jquery");
    var justep = require("$UI/system/lib/justep");

    var Model = function () {
        this.callParent();
    };

    
    // 图片路径转换
    Model.prototype.getImageUrl = function (url) {
        return require.toUrl(url);
    };
    var num = 0;

    // 商品点击事件
    Model.prototype.dingchangListClick = function (event) {
        var user_id = event.bindingContext.$object.val("user_id");
        var sport_id = event.bindingContext.$object.val("sport_id");
        var params = {
            a1: user_id,
            a2: sport_id

        }

        justep.Shell.showPage(require.toUrl('./yuelianDetail.w?a1=' + user_id + '&a2=' + sport_id), params);


    };

    Model.prototype.bookBtnClick = function (event) {
        justep.Shell.showPage(require.toUrl('../dingchang/dingchangList.w'));
    };


    Model.prototype.postBtnClick = function (event) {
        justep.Shell.showPage(require.toUrl('../post/postList.w'));
    };


    Model.prototype.instructorBtnClick = function (event) {

    };


    Model.prototype.homeBtnClick = function (event) {
        justep.Shell.showPage(require.toUrl('../main.w'));
    };


    Model.prototype.findBtnClick = function (event) {
        justep.Shell.showPage(require.toUrl('../find.w'));
    };

    // 搜索
    Model.prototype.searchBtnClick = function (event) {
        /*
         *1、进入搜索页面
         *显示页面代码如下：
         *justep.Shell.showPage("search");
         */
    };


    /* 选择区域按钮 */
    Model.prototype.s1BtnClick = function (event) {

        if ($(this.comp("s1PopOver").$domNode).css("display") == "block") {
            this.comp("s1PopOver").hide();
        } else {
            this.comp("s1PopOver").show();
        }

        if ($(this.comp("s2PopOver").$domNode).css("display") == "block") {
            this.comp("s2PopOver").hide();
        }
        if ($(this.comp("s3PopOver").$domNode).css("display") == "block") {
            this.comp("s3PopOver").hide();
        }
    };
    /* 选择区域 */
    Model.prototype.s1ListClick = function (event) {
        /*
         * 1、排序点击事件 2、修改当前排序 3、关闭排序窗口
         */
         num = 0;
        var data = this.comp("quData");
        data.setValue("fState", "0", data.find(["fState"], ["1"], true, true, true)[0]);
        var row = data.getCurrentRow();
        data.setValue("fState", "1", row);
        this.comp("s1Btn").set("label", data.getValue("area_name", row));

        this.comp("s1PopOver").hide();

        var qy = this.comp("quData").val('area_id');
        var lx = this.comp("sportData").val('id');
        var sx = this.comp("sxData").val('id');
        	if (qy == 0){
			var qy = justep.Shell.dingweiid.get();
			}
			
        var changData = this.comp("changData");
        changData.clear();
        if (qy == 0){
			var qy = justep.Shell.dingweiid.get();
        $.ajax({
            "type": "post",
            "dataType": "json",
            "async": false,
            "data": {
                "city_id": qy,
                "sport_id": lx,
                "type_id": sx,
                "identity" : 1,
                "num" : num
              
            },
            "url": serviceLink+"/index.php/WexApi/Coach/coachList",

            "success": function (data) {
                 if (data.length > 0) {
             var options = {
        defaultValues : data
       
    };  
             
        changData.newData(options);
       
    
		}


            }
        });
        } else {
        
                $.ajax({  
            "type": "post",
            "dataType": "json",
            "async": false,
            "data": {
                "area_id": qy,
                "sport_id": lx,
                "type_id": sx,
                "identity" : 1,
                "num" : num
              
            },
            "url": serviceLink+"/index.php/WexApi/Coach/coachList",
            
            "success" : function(data) {  
                  if (data.length > 0) {      
             var options = {
        defaultValues : data
       
    };  
             
        changData.newData(options);
       
     }
		
      }  
        }); 
        
        }
    };
    

    /* 选择场馆按钮 */
    Model.prototype.s2BtnClick = function (event) {

        if ($(this.comp("s2PopOver").$domNode).css("display") == "block") {
            this.comp("s2PopOver").hide();
        } else {
            this.comp("s2PopOver").show();
        }

        if ($(this.comp("s1PopOver").$domNode).css("display") == "block") {
            this.comp("s1PopOver").hide();
        }
        if ($(this.comp("s3PopOver").$domNode).css("display") == "block") {
            this.comp("s3PopOver").hide();
        }
    };
    /* 选择场馆排序 */
    Model.prototype.s2ListClick = function (event) {
        /*
         * 1、排序点击事件 2、修改当前排序 3、关闭排序窗口
         */
         num = 0;
        var data = this.comp("sportData");
        data.setValue("fState", "0", data.find(["fState"], ["1"], true, true, true)[0]);
        var row = data.getCurrentRow();
        data.setValue("fState", "1", row);
        this.comp("s2Btn").set("label", data.getValue("sport_name", row));

        this.comp("s2PopOver").hide();

        var qy = this.comp("quData").val('area_id');
        var lx = this.comp("sportData").val('id');
        var sx = this.comp("sxData").val('id');
        console.log(lx);

       if (qy == 0){
			var qy = justep.Shell.dingweiid.get();
			}
		var changData = this.comp("changData");
		changData.clear();
        if (qy == 0 || qy == justep.Shell.dingweiid.get()){
			var qy = justep.Shell.dingweiid.get();
        $.ajax({
            "type": "post",
            "dataType": "json",
            "async": false,
            "data": {
                "city_id": qy,
                "sport_id": lx,
                "type_id": sx,
                "identity" : 1,
                "num" : num
            },
            "url": serviceLink+"/index.php/WexApi/Coach/coachList",

            "success": function (data) {
                            if (data.length > 0) {      
             var options = {
        defaultValues : data
       
    };  
             
        changData.newData(options);
       
     }


            }
        });
        } else{
         $.ajax({
            "type": "post",
            "dataType": "json",
            "async": false,
            "data": {
                "area_id": qy,
                "sport_id": lx,
                "type_id": sx,
                "identity" : 1,
                "num" : num
            },
            "url": serviceLink+"/index.php/WexApi/Coach/coachList",

            "success": function (data) {
                            if (data.length > 0) {      
             var options = {
        defaultValues : data
       
    };  
             
        changData.newData(options);
       
     }


            }
        });
        }
    };
    /* 选择离我最近按钮 */
    Model.prototype.s3BtnClick = function (event) {

        if ($(this.comp("s3PopOver").$domNode).css("display") == "block") {
            this.comp("s3PopOver").hide();
        } else {
            this.comp("s3PopOver").show();
        }

        if ($(this.comp("s2PopOver").$domNode).css("display") == "block") {
            this.comp("s2PopOver").hide();
        }
        if ($(this.comp("s1PopOver").$domNode).css("display") == "block") {
            this.comp("s1PopOver").hide();
        }
    };
    /* 选择离我最近 */
    Model.prototype.s3ListClick = function (event) {
    num = 0;
        /*
         * 1、排序点击事件 2、修改当前排序 3、关闭排序窗口
         */
        var data = this.comp("sxData");
        data.setValue("fState", "0", data.find(["fState"], ["1"], true, true, true)[0]);
        var row = data.getCurrentRow();
        data.setValue("fState", "1", row);
        this.comp("s3Btn").set("label", data.getValue("fName", row));

        this.comp("s3PopOver").hide();

        var qy = this.comp("quData").val('area_id');
        var lx = this.comp("sportData").val('id');
        var sx = this.comp("sxData").val('id');

      if (qy == 0){
			var qy = justep.Shell.dingweiid.get();
			}
		var changData = this.comp("changData");
		changData.clear();
        if (qy == 0 || qy == justep.Shell.dingweiid.get()){
			var qy = justep.Shell.dingweiid.get();
        $.ajax({
            "type": "post",
            "dataType": "json",
            "async": false,
            "data": {
                "city_id": qy,
                "sport_id": lx,
                "type_id": sx,
                "identity" : 1,
                "num" : num
            },
            "url": serviceLink+"/index.php/WexApi/Coach/coachList",

            "success": function (data) {
                            if (data.length > 0) {      
             var options = {
        defaultValues : data
       
    };  
             
        changData.newData(options);
       
     }


            }
        });
        } else{
         $.ajax({
            "type": "post",
            "dataType": "json",
            "async": false,
            "data": {
                "area_id": qy,
                "sport_id": lx,
                "type_id": sx,
                "identity" : 1,
                "num" : num
            },
            "url": serviceLink+"/index.php/WexApi/Coach/coachList",

            "success": function (data) {
                            if (data.length > 0) {      
             var options = {
        defaultValues : data
       
    };  
             
        changData.newData(options);
       
     }


            }
        });
        }
    };


    Model.prototype.modelLoad = function (event) {
    	this.comp("button1").set("label", justep.Shell.dingweiname.get());
    };


        //加载区域选项
        Model.prototype.quDataCustomRefresh = function (event) {
            var quData = event.source;
            $.ajax({
                type: "GET",
                url: require.toUrl('../json/qu.json'),
                dataType: 'json',
                async: false,//使用同步方式，目前data组件有同步依赖
                cache: false,
                success: function (data) {
                    quData.loadData(data);//将返回的数据加载到data组件
                },
                error: function () {
                    throw justep.Error.create("加载数据失败");
                }
            });
        };

        //加载类型选项
        Model.prototype.sportDataCustomRefresh = function (event) {
            var sportData = event.source;
            $.ajax({
                "type": "post",
                "dataType": "json",
                "async": false,
                "url": serviceLink+"/index.php/WexApi/sport/sportList",
                "success": function (data) {
                    sportData.loadData(data);


                }
            });
        };


        //加载默认商品列表
        Model.prototype.changDataCustomRefresh = function (event) {
            var context = this.getContext();

            //获取URL中的参数
            var a2 = context.getRequestParameter('a2');
            var sx = this.comp("sxData").val('id');
            var qy = this.comp("quData").val('area_id');
            var lx = this.comp("sportData").val('id');

            if (qy == 0){
			var qy = justep.Shell.dingweiid.get();
			}
		var changData = this.comp("changData");
	
        if (qy == 0 || qy == justep.Shell.dingweiid.get()){
			var qy = justep.Shell.dingweiid.get();
			if (a2 != '')
			{
				lx = a2;
			}
        $.ajax({
            "type": "post",
            "dataType": "json",
            "async": false,
            "data": {
                "city_id": qy,
                "sport_id": lx,
                "type_id": sx,
                "identity" : 1,
                "num" : num
            },
            "url": serviceLink+"/index.php/WexApi/Coach/coachList",

            "success": function (data) {
          
            if (data.length > 0)
                         {      
             var options = {
        defaultValues : data
       
    };  
             
        changData.newData(options);
       
     }


            }
        });
        } else{
        if (a2 != '')
			{
				lx = a2;
			}
         $.ajax({
            "type": "post",
            "dataType": "json",
            "async": false,
            "data": {
                "area_id": qy,
                "sport_id": lx,
                "type_id": sx,
                "identity" : 1,
                "num" : num
            },
            "url": serviceLink+"/index.php/WexApi/Coach/coachList",

            "success": function (data) {
                             if (data.length > 0) { 
             var options = {
        defaultValues : data
       
    };  
             
        changData.newData(options);
       
     }


            }
        });
        }

        };


        Model.prototype.button6Click = function (event) {
            justep.Shell.showMainPage();
        };


        Model.prototype.keyInputChange = function (event) {
            var changData = this.comp("changData");
            changData.refreshData();
            var content = this.comp("keyInput").val();
            var xzb = justep.Shell.xzb.get();
            var yzb = justep.Shell.yzb.get();
            $.ajax({
                "type": "post",
                "dataType": "json",
                "async": false,
                "data": {
                    "type": 2,
                    "content": content,
                    "x": xzb,
                    "y": yzb,
                    "identity" : 1
                },
                "url": serviceLink+"/index.php/WexApi/Search/fuzzy",

                "success": function (data) {
                    changData.loadData(data.list);

                }
            });
        };


        Model.prototype.button1Click = function (event) {
            justep.Shell.showPage(require.toUrl('./yuelianList.w'));
            this.close();
        };


        Model.prototype.button3Click = function (event) {

            var shengData = this.comp("shengData");
            $.ajax({
                type: "GET",
                url: require.toUrl('../json/sheng.json'),
                dataType: 'json',
                async: false,//使用同步方式，目前data组件有同步依赖
                cache: false,
                success: function (data) {
                    shengData.loadData(data);//将返回的数据加载到data组件
                },
                error: function () {
                    throw justep.Error.create("加载数据失败");
                }
            });

            var shiData = this.comp("shiData");
            $.ajax({
                type: "GET",
                url: require.toUrl('../json/shi.json'),
                dataType: 'json',
                async: false,//使用同步方式，目前data组件有同步依赖
                cache: false,
                success: function (data) {
                    shiData.loadData(data);//将返回的数据加载到data组件
                },
                error: function () {
                    throw justep.Error.create("加载数据失败");
                }
            });
            this.comp("popOver1").show();
        };


        Model.prototype.span13Click = function (event) {
            var area_id = event.bindingContext.$object.val("area_id");
            var area_name = event.bindingContext.$object.val("area_name");
            
            this.comp("s1Btn").set("label", area_name);
            this.comp("button1").set("label", area_name);


            var quData = this.comp("quData");
            justep.Shell.dingweiid.set(area_id);////定位城市id

            var user = {};

            user.dingweiid = area_id || "";


            localStorage.setItem("userUUID", JSON.stringify(user));
            this.comp("popOver1").hide();

            var qy = area_id;
            var lx = this.comp("sportData").val('id');
            var xzb = justep.Shell.xzb.get();
            var yzb = justep.Shell.yzb.get();


            var changData = this.comp("changData");
            $.ajax({
                "type": "post",
                "dataType": "json",
                "async": false,
                "data": {
                    "city_id": qy,
                    "sport_id": lx,
                    "identity" : 1,
                    "num" : num
                   

                },
                "url": serviceLink+"/index.php/WexApi/Coach/coachList",

                "success": function (data) {
                changData.clear();
                     if (data.length > 0) {      
             var options = {
        defaultValues : data
       
    };  
             
        changData.newData(options);
       
     }


                    justep.Util.hint('<div style="color:#fff;margin-top:200px;text-align:center">切换城市成功</div>', {
                        "type": ".abc",//{string} 提示类型，取值范围：info、success、warning、danger，缺省：info
                        "delay": 1000,//{integer} 自动关闭时间，单位为：毫秒，缺省：3000
                        "position": "top",//{string} 显示位置，取值范围：top、middle、bottom，缺省：top
                        "style": "margin-top:180px;height:300px;background:url(./img/user/denglu3x.png) no-repeat center  rgba(255,167,0,0.6);background-size:100%;border-radius:15px;",//{string} css样式，增加的自定义样式
                    });


                }
            });

        };

        Model.prototype.quDataCustomRefresh = function (event) {
            var quData = event.source;
            $.ajax({
                type: "GET",
                url: require.toUrl('../json/qu.json'),
                dataType: 'json',
                async: false,//使用同步方式，目前data组件有同步依赖
                cache: false,
                success: function (data) {
                    quData.loadData(data);//将返回的数据加载到data组件
                },
                error: function () {
                    throw justep.Error.create("加载数据失败");
                }
            });
        };





	Model.prototype.scrollView1PullDown = function(event){
		num = 0;
		var changData = this.comp("changData");
		changData.clear();
		
	};

	Model.prototype.scrollView1PullUp = function(event){
    num = num+1

    var changData = this.comp("changData");
    changData.refreshData();
 
	};





        Model.prototype.modelInactive = function(event){
num = 0;
	};





        return Model;
    }
    );
