define(function(require){
	var $ = require("jquery");
	require("cordova!com.synconset.imagepicker");
	require("cordova!cordova-plugin-file-transfer");
	require("cordova!cordova-plugin-file");
	
	
	var utils = require("$UI/demo/plugin/utils");
	var Model = function(){
		this.callParent();
	};
	
	Model.prototype.getPicturesClick = function(event){
	var input = this.getElementByXid("input1");
		document.addEventListener("deviceready", androidOnDeviceReady, false);
	function androidOnDeviceReady() {
		/*
		调用getPictures有三个参数，成功回调，失败回调和options。option参数仅限于android端使用。
		options有以下几个下参数(maximumImagesCount,width,height,quality,outputType)，说明如下
	    options = {			
			图片选择数量默认为15张，如果设置为1张，点选一张图片后即可返回该图片路径。
			最大图片选择数量，规定了每次最多选择几张图片。
            maximumImagesCount: int,
            
            图片的高度和宽度限定，举例说明:如果宽高都设定为800，图片最大为800像素*800像素，如果宽度为800，高度为0，则图片则会有800像素宽。
            如果都写成0，则按照图片大小显示	            
            width: int,
            height: int,
            
            图片质量，取值为0-100
            quality: int (0-100),
            
			导出图片的类型，默认为window.imagePicker.OutputType.FILE_URI(实际值为0)，可选window.imagePicker.OutputType.BASE64_STRING (实际值为1)
            outputType: int
	        };
	    */
		imagePicker.getPictures(androidSuccessCallback, errorCallback,
				{
					"maximumImagesCount":9,
					"width":800,
					"height":800,
					"quallity":100,
					"outputType":window.imagePicker.OutputType.FILE_URI
				}
		);
	}
	function androidSuccessCallback(result) {
		var uris = new Array();
		var result_test = "";
		
      if (result.length > 0) {
      $(input).val(result);
        var content = '';
        var dfds = [];
        for (var i = 0; i < result.length; i++) {
          (function(){
              var dfd = $.Deferred();
              dfds.push(dfd);
             
              window.resolveLocalFileSystemURI(result[i],function(entry){
                  content += '<img src="'+ entry.toInternalURL() +'" style="width:150px;height:150px;margin:10px;"/>';    
                  
                  //uris.push(entry.toInternalURL());
                  dfd.resolve();
              },function(){
                dfd.resolve();
              });
          })();
        }
         
        $.when.apply($,dfds).done(function(){
        	
          document.getElementById("imageOutput").innerHTML = content;
        });
        
      
        
      } else {
        // picker was cancelled
        console.log("没有选择图片");
      }
    
}
	function errorCallback(error) {
		alert("错误信息: " + JSON.stringify(error));
	}
}
	Model.prototype.modelModelConstructDone = function(event) {
		utils.showCode(this,"getPicturesClick").prettyPrint();
	};


	Model.prototype.button1_1Click = function(event){
		var count = 0;
		var input = this.getElementByXid("input1");  //隐藏input  用来放图片的URL
		var contentInput = this.getElementByXid("content"); //文本输入框
		var content = $(contentInput).val();    //获取文本内容
		//console.log($(input).val());
		var dfds = [];
		var val = $(input).val().split(",");
		var user_id = justep.Shell.userId.get();
		var circle_id = "";
		//console.log(val);
		//用ajax同步先将内容上传,返回圈子ID
		$.ajax({
			type : 'post',
			dataType : 'json',
			async : false,
			url : 'http://ss.hd360.cc/index.php/WexApi/PersonalInfo/saveCircleContent',
			data : {
				'content' : content,
				'user_id' : user_id
			},
			success : function(res){
				var data = res;
				if(data.code){
					circle_id = data.data.circle_id;
					//console.log(circle_id);
				}
				//console.log(res);
				
			},
			error : function(err){
			
			}
			
		});
		
		
		//根据上面ajax返回的ID更新图片
		for (var i = 0; i < val.length; i++) {
		 var dfd = $.Deferred();
              dfds.push(dfd);
             
              window.resolveLocalFileSystemURI(val[i],function(entry){
             
            	  var url = encodeURI(serviceLink+"/index.php/WexApi/PersonalInfo/getImageUrl/circle_id/"+circle_id+"/user_id/"+user_id);
                  
                  var options = new FileUploadOptions();
                  
                  options.fileKey = "file";
                  //options.fileName = entry.toInternalURL().substr(entry.toInternalURL().lastIndexOf('/')+1);
                  options.mimeType = "image/jpg";
                  
                  var headers = {'headerParam':'headerValue'};
                  
                  var ft = new FileTransfer();
                  
                  ft.upload(entry.toInternalURL(),url,win,fail,options);
                  
                  function win(r){
                	 // console.log(r);
                	   count++;
                	   if(count == val.length){
                			var params ={
                					data:"post"
                			}
                				justep.Shell.showPage("main", params);
                		   justep.Shell.showPage(require.toUrl('./allpostList.w'));
                	   }
                  }
                  function fail(r){
                	  //console.log(r);
                  }
                       
                  dfd.resolve();
              },function(){
                dfd.resolve();
              });
		};
		
	};


	return Model;
});