define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var ShellImpl = require('$UI/system/lib/portal/shellImpl');
	require("$UI/system/lib/cordova/cordova");
	require("cordova!cn.jpush.phonegap.JPushPlugin");
//cordova运行环境，多个页面用cordova插件，每个页面都需要require进来
	window.serviceLink = 'http://sportsplus.bysport.cn/';

    
	

	var Model = function() {
			
		this.callParent();

		this.shellImpl = new ShellImpl(this, {
		
			contentsXid : "pages",
			wingXid : "wing",
			pageMappings : {
				"main" : {
					url : require.toUrl('./main.w')
				},
				"dingchangList":{
					url : '$UI/sportsplus/dingchang/dingchangList.w'
				},
				"postList":{
					url : '$UI/sportsplus/post/postList.w'
				},
				"post":{
					url : '$UI/sportsplus/post/post.w'
				},
				"dingchang":{
					url : '$UI/sportsplus/dingchang/dingchangAbout.w'
				},
				"dingchangDetail":{
					url : '$UI/sportsplus/dingchang/dingchangDetail.w'
				},
				"dingchangAbout":{
					url : '$UI/sportsplus/dingchang/dingchangAbout.w'
				},
				"dingchangBook":{
					url : '$UI/sportsplus/dingchang/dingchangBook.w'
				},
				"yuelianList":{
					url : '$UI/sportsplus/yuelian/yuelianList.w'
				},
				"find":{
					url : '$UI/sportsplus/find.w'
				},
				"shouchang":{
					url : '$UI/sportsplus/shouchang/shouchang.w'
				},
				"news":{
					url : '$UI/sportsplus/news/newsList.w'
				},
				"newsDetail":{
					url : '$UI/sportsplus/news/newsDetail.w'
				},
				"money":{
					url : '$UI/sportsplus/money.w'
				},
				"user":{
					url : '$UI/sportsplus/user.w'
				},
				"login":{
					url : '$UI/sportsplus/login.w'
				},
				"register":{
					url : '$UI/sportsplus/register.w'
				}
				
			}
		});
	};

	Model.prototype.modelLoad = function(event) {
		

		justep.Shell.userType = justep.Bind.observable();//用户类型:0会员，默认，1商家,2、表示官方平台 3.教练用户
		justep.Shell.userName = justep.Bind.observable();//登录名称不可改
		justep.Shell.userId = justep.Bind.observable();//id
		/**/
		justep.Shell.addr = justep.Bind.observable();//合拼的地址
		justep.Shell.area = justep.Bind.observable();//地区ID
		justep.Shell.balance = justep.Bind.observable();//用户余额
		justep.Shell.city = justep.Bind.observable();//市ID
		justep.Shell.head_url = justep.Bind.observable();//用户头像url
		justep.Shell.nick_name = justep.Bind.observable();//用户昵称
		justep.Shell.phone = justep.Bind.observable();//电话
		justep.Shell.province = justep.Bind.observable();//省ID
		justep.Shell.sex = justep.Bind.observable();//用户性别,0保密 1男 2女
		justep.Shell.signature = justep.Bind.observable();//用户个性签名
		justep.Shell.password = justep.Bind.observable();//密码
		justep.Shell.coachIntroduction = justep.Bind.observable();//教练的个人介绍
		justep.Shell.address = justep.Bind.observable();//教练的详细住址
		justep.Shell.dingweiname = justep.Bind.observable();//定位城市名
		justep.Shell.dingweiid = justep.Bind.observable();//定位城市id
		justep.Shell.xzb = justep.Bind.observable();//x
		justep.Shell.yzb = justep.Bind.observable();//y
		justep.Shell.birthday = justep.Bind.observable()//用户出生年月
		justep.Shell.height = justep.Bind.observable()//身高
		justep.Shell.weight = justep.Bind.observable()//体重
		justep.Shell.industry = justep.Bind.observable()//职业
		justep.Shell.activity_place = justep.Bind.observable()//常活动地方,多个以逗号分隔
		/**/
		
		var userLocal = (localStorage.getItem("userUUID") && JSON.parse(localStorage.getItem("userUUID"))) || null;
		if (userLocal) {
			justep.Shell.userName.set(userLocal.name || "");
			justep.Shell.userType.set(userLocal.accountType || "");
			justep.Shell.userId.set(userLocal.userid || "");
			/**/
			justep.Shell.addr.set(userLocal.addr || "");
			justep.Shell.area.set(userLocal.area || "");
			justep.Shell.balance.set(userLocal.balance || "");
			justep.Shell.city.set(userLocal.city || "");
			justep.Shell.head_url.set(userLocal.head_url || "");
			justep.Shell.nick_name.set(userLocal.nick_name || "");
			justep.Shell.phone.set(userLocal.phone || "");
			justep.Shell.province.set(userLocal.province || "");
			justep.Shell.sex.set(userLocal.sex || "");
			justep.Shell.signature.set(userLocal.signature || "");
			justep.Shell.password.set(userLocal.password || "");
			justep.Shell.coachIntroduction.set(userLocal.coachIntroduction || "");
			justep.Shell.address.set(userLocal.address || "");
			justep.Shell.dingweiname.set(userLocal.dingweiname || "");
			justep.Shell.dingweiid.set(userLocal.dingweiid || "");
			justep.Shell.xzb.set(userLocal.xzb || "");
			justep.Shell.yzb.set(userLocal.yzb || "");
			justep.Shell.birthday.set(userLocal.birthday || "");
			justep.Shell.height.set(userLocal.height || "");
			justep.Shell.weight.set(userLocal.weight || "");
			justep.Shell.industry.set(userLocal.industry || "");
			justep.Shell.activity_place.set(userLocal.activity_place || "");
			/**/
		} else {
			justep.Shell.showPage("main");
		}
		
		//极光推送



		  var onDeviceReady = function() {
            console.log("JPushPlugin:Device ready!");
            initiateUI();
        };

        var getRegistrationID = function() {
            window.plugins.jPushPlugin.getRegistrationID(onGetRegistrationID);
        };

        var onGetRegistrationID = function(data) {
            try {
                console.log("JPushPlugin:registrationID is " + data);

                if (data.length == 0) {
                    var t1 = window.setTimeout(getRegistrationID, 1000);
                }
                $("#registrationId").html(data);
            } catch (exception) {
                console.log(exception);
            }
        };

        var onTagsWithAlias = function(event) {
            try {
                console.log("onTagsWithAlias");
                var result = "result code:" + event.resultCode + " ";
                result += "tags:" + event.tags + " ";
                result += "alias:" + event.alias + " ";
                $("#tagAliasResult").html(result);
            } catch (exception) {
                console.log(exception)
            }
        };

        var onOpenNotification = function(event) {
            try {
                var alertContent;
                if (device.platform == "Android") {
                    alertContent = event.alert;
                } else {
                    alertContent = event.aps.alert;
                }
                alert("open Notification:" + alertContent);
            } catch (exception) {
                console.log("JPushPlugin:onOpenNotification" + exception);
            }
        };

        var onReceiveNotification = function(event) {
            try {
                var alertContent;
                if (device.platform == "Android") {
                    alertContent = event.alert;
                } else {
                    alertContent = event.aps.alert;
                }
                $("#notificationResult").html(alertContent);
            } catch (exception) {
                console.log(exception)
            }
        };

        var onReceiveMessage = function(event) {
            try {
                var message;
                if (device.platform == "Android") {
                    message = event.message;
                } else {
                    message = event.content;
                }
                $("#messageResult").html(message);
            } catch (exception) {
                console.log("JPushPlugin:onReceiveMessage-->" + exception);
            }
        };

        var initiateUI = function() {
            try {
                window.plugins.jPushPlugin.init();
                getRegistrationID();
                if (device.platform != "Android") {
                    window.plugins.jPushPlugin.setDebugModeFromIos();
                    window.plugins.jPushPlugin.setApplicationIconBadgeNumber(0);
                } else {
                    window.plugins.jPushPlugin.setDebugMode(true);
                    window.plugins.jPushPlugin.setStatisticsOpen(true);
                }
            } catch (exception) {
             //   console.log("1111"+exception);
            }

       
                    
            
        };

        document.addEventListener("jpush.setTagsWithAlias", onTagsWithAlias, false);
        document.addEventListener("deviceready", onDeviceReady, false);
        document.addEventListener("jpush.openNotification", onOpenNotification, false);
        document.addEventListener("jpush.receiveNotification", onReceiveNotification, false);
        document.addEventListener("jpush.receiveMessage", onReceiveMessage, false);	
           
        
        if (justep.Shell.userId.get()) {
        	//网站版先屏蔽
	var testid = justep.Shell.userId.get();
				 var tags = [];
				 tags.push("hellow");
				 window.plugins.jPushPlugin.setTagsWithAlias(tags,testid);
				 
	}


         
			
	};
	
	






	Model.prototype.newsDetailClick = function(event){
		justep.Shell.showPage("newsDetail");
	};













	return Model;
});