define(function(require){
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
require("cordova!com.synconset.imagepicker");
	require("cordova!cordova-plugin-file-transfer");
	require("cordova!cordova-plugin-file");
	var utils = require("$UI/demo/plugin/utils");
	
	var Model = function(){
		this.callParent();
	};
	
	var R_code ='';
	var R_id_card = '';
	var R_real_name = '';
	var identity = 1;
	var identity2 = '';
    
	
	Model.prototype.getPicturesClick = function(event){
		//alert("rewrawerewa");
		var input = this.getElementByXid("input1");
		
		document.addEventListener("deviceready", androidOnDeviceReady, false);
		
	function androidOnDeviceReady() {
		/*
		调用getPictures有三个参数，成功回调，失败回调和options。option参数仅限于android端使用。
		options有以下几个下参数(maximumImagesCount,width,height,quality,outputType)，说明如下
	    options = {			
			图片选择数量默认为15张，如果设置为1张，点选一张图片后即可返回该图片路径。
			最大图片选择数量，规定了每次最多选择几张图片。
            maximumImagesCount: int,
            
            图片的高度和宽度限定，举例说明:如果宽高都设定为800，图片最大为800像素*800像素，如果宽度为800，高度为0，则图片则会有800像素宽。
            如果都写成0，则按照图片大小显示	            
            width: int,
            height: int,
            
            图片质量，取值为0-100
            quality: int (0-100),
            
			导出图片的类型，默认为window.imagePicker.OutputType.FILE_URI(实际值为0)，可选window.imagePicker.OutputType.BASE64_STRING (实际值为1)
            outputType: int
	        };
	    */
		imagePicker.getPictures(androidSuccessCallback, errorCallback,
				{
					"maximumImagesCount":2,
					"width":800,
					"height":800,
					"quallity":100,
					"outputType":window.imagePicker.OutputType.FILE_URI
				}
		);
	}
	function androidSuccessCallback(result) {
		//var uris = new Array();
		var result_test = "";
		
      if (result.length > 0) {
      $(input).val(result);
        var content = '';
        var dfds = [];
        for (var i = 0; i < result.length; i++) {
          (function(){
              var dfd = $.Deferred();
              dfds.push(dfd);
             
              window.resolveLocalFileSystemURI(result[i],function(entry){
                  content += '<img src="'+ entry.toInternalURL() +'" style="float:left;width:50px;height:50px;margin:5px;"/>';    
                  
                  //uris.push(entry.toInternalURL());
                  dfd.resolve();
              },function(){
                dfd.resolve();
              });
          })();
        }
         
        $.when.apply($,dfds).done(function(){
        	
          document.getElementById("imageOutput").innerHTML = content;
        });
        
      
        
      } else {
        // picker was cancelled
       // console.log("没有选择图片");
      }
    
}
	function errorCallback(error) {
		//alert("错误信息: " + JSON.stringify(error));
	}
}
	Model.prototype.modelModelConstructDone = function(event) {
		utils.showCode(this,"getPicturesClick").prettyPrint();
	};


	Model.prototype.getPicturesClick2 = function(event){
		//alert("rewrawerewa");
		var input = this.getElementByXid("input2");
		
		document.addEventListener("deviceready", androidOnDeviceReady, false);
		
	function androidOnDeviceReady() {
		/*
		调用getPictures有三个参数，成功回调，失败回调和options。option参数仅限于android端使用。
		options有以下几个下参数(maximumImagesCount,width,height,quality,outputType)，说明如下
	    options = {			
			图片选择数量默认为15张，如果设置为1张，点选一张图片后即可返回该图片路径。
			最大图片选择数量，规定了每次最多选择几张图片。
            maximumImagesCount: int,
            
            图片的高度和宽度限定，举例说明:如果宽高都设定为800，图片最大为800像素*800像素，如果宽度为800，高度为0，则图片则会有800像素宽。
            如果都写成0，则按照图片大小显示	            
            width: int,
            height: int,
            
            图片质量，取值为0-100
            quality: int (0-100),
            
			导出图片的类型，默认为window.imagePicker.OutputType.FILE_URI(实际值为0)，可选window.imagePicker.OutputType.BASE64_STRING (实际值为1)
            outputType: int
	        };
	    */
		imagePicker.getPictures(androidSuccessCallback, errorCallback,
				{
					"maximumImagesCount":2,
					"width":800,
					"height":800,
					"quallity":100,
					"outputType":window.imagePicker.OutputType.FILE_URI
				}
		);
	}
	function androidSuccessCallback(result) {
		//var uris = new Array();
		var result_test = "";
		
      if (result.length > 0) {
      $(input).val(result);
        var content = '';
        var dfds = [];
        for (var i = 0; i < result.length; i++) {
          (function(){
              var dfd = $.Deferred();
              dfds.push(dfd);
             
              window.resolveLocalFileSystemURI(result[i],function(entry){
                  content += '<img src="'+ entry.toInternalURL() +'" style="float:left;width:50px;height:50px;margin:5px;"/>';    
                  
                  //uris.push(entry.toInternalURL());
                  dfd.resolve();
              },function(){
                dfd.resolve();
              });
          })();
        }
         
        $.when.apply($,dfds).done(function(){
        	
          document.getElementById("imageOutput2").innerHTML = content;
        });
        
      
        
      } else {
        // picker was cancelled
        //console.log("没有选择图片");
      }
    
}
	function errorCallback(error) {
		//alert("错误信息: " + JSON.stringify(error));
	}
}
	Model.prototype.modelModelConstructDone2 = function(event) {
		utils.showCode(this,"getPicturesClick").prettyPrint();
	};

	
	//提交
	Model.prototype.uploadClick = function(event){
		var th = this;

		var phone="";
		var user_id = justep.Shell.userId.get();

		var price = this.comp("price").val();//价格
		
		
		var real_name = this.comp("real_name").val();
		var id_card = this.comp("id_card").val();
		
		if (R_code == 2) {
		var real_name = R_real_name;	
		var id_card = R_id_card;		
		}
		//console.log(real_name+'vvv'+id_card);
	
		var sport_id = this.comp("sport_id").val();
		var yz = false;
		
		if(real_name == ""){

			 justep.Util.hint('<div style="color:#fff;margin-top:200px;text-align:center">请填写真实姓名！</div>', {
						"type": ".abc",//{string} 提示类型，取值范围：info、success、warning、danger，缺省：info
						"delay" : 1000,//{integer} 自动关闭时间，单位为：毫秒，缺省：3000
						"position": "top",//{string} 显示位置，取值范围：top、middle、bottom，缺省：top 
						"style":  "margin-top:180px;height:300px;background:url(./img/user/denglu3x.png) no-repeat center  rgba(255,167,0,0.6);background-size:100%;border-radius:15px;",//{string} css样式，增加的自定义样式
						});
			return;
		}
		
		if (id_card.length != 18){
		justep.Util.hint('<div style="color:#fff;margin-top:200px;text-align:center">请输入正确的身份证号码！</div>', {
						"type": ".abc",//{string} 提示类型，取值范围：info、success、warning、danger，缺省：info
						"delay" : 2000,//{integer} 自动关闭时间，单位为：毫秒，缺省：3000
						"position": "top",//{string} 显示位置，取值范围：top、middle、bottom，缺省：top 
						"style":  "margin-top:180px;height:300px;background:url(./img/user/denglu3x.png) no-repeat center  rgba(255,167,0,0.6);background-size:100%;border-radius:15px;",//{string} css样式，增加的自定义样式
						});
		return;
		}
		
		if(justep.Shell.sex.get() == 0){

			 justep.Util.hint('<div style="color:#fff;margin-top:200px;text-align:center">性别不能为保密</div>', {
						"type": ".abc",//{string} 提示类型，取值范围：info、success、warning、danger，缺省：info
						"delay" : 1000,//{integer} 自动关闭时间，单位为：毫秒，缺省：3000
						"position": "top",//{string} 显示位置，取值范围：top、middle、bottom，缺省：top 
						"style":  "margin-top:180px;height:300px;background:url(./img/user/denglu3x.png) no-repeat center  rgba(255,167,0,0.6);background-size:100%;border-radius:15px;",//{string} css样式，增加的自定义样式
						});
			justep.Shell.showPage(require.toUrl('./user/userAlter.w'));
			return;
		}
		
		if(justep.Shell.province.get() == 820000 || justep.Shell.province.get() == 810000 || justep.Shell.province.get() == 710000){
			yz = true;
		}else{
			if(justep.Shell.city.get() == 0){
		
				 justep.Util.hint('<div style="color:#fff;margin-top:200px;text-align:center">请选择城市</div>', {
						"type": ".abc",//{string} 提示类型，取值范围：info、success、warning、danger，缺省：info
						"delay" : 1000,//{integer} 自动关闭时间，单位为：毫秒，缺省：3000
						"position": "top",//{string} 显示位置，取值范围：top、middle、bottom，缺省：top 
						"style":  "margin-top:180px;height:300px;background:url(./img/user/denglu3x.png) no-repeat center  rgba(255,167,0,0.6);background-size:100%;border-radius:15px;",//{string} css样式，增加的自定义样式
						});			
				justep.Shell.showPage(require.toUrl('./user/userAlter.w'));
				yz = false;
				return;
			}else{
				yz = true;
			}
			if(justep.Shell.area.get() == 0){
	
				 justep.Util.hint('<div style="color:#fff;margin-top:200px;text-align:center">请选择区域</div>', {
						"type": ".abc",//{string} 提示类型，取值范围：info、success、warning、danger，缺省：info
						"delay" : 1000,//{integer} 自动关闭时间，单位为：毫秒，缺省：3000
						"position": "top",//{string} 显示位置，取值范围：top、middle、bottom，缺省：top 
						"style":  "margin-top:180px;height:300px;background:url(./img/user/denglu3x.png) no-repeat center  rgba(255,167,0,0.6);background-size:100%;border-radius:15px;",//{string} css样式，增加的自定义样式
						});
				justep.Shell.showPage(require.toUrl('./user/userAlter.w'));
				yz = false;
				return;
			}else{
				yz = true;
			}

		}
		if(yz == true){	
			
			var coach_log_id = "";  //教练申请记录表的ID
			/*if (identity2 ==0){
			identity = 0;
			}
			if (identity2 ==1){
			identity = 1;
			}*/
			console.log('aa'+identity);
			$.ajax({  
            "type" : "post",  
            "dataType" : "json",  
            "async" : false,  
           /* "url" : serviceLink+"/index.php/Home/Index/imageTest",  */
            "url":serviceLink+"/index.php/WexApi/InfomationRecieve/index",
            "data" : {  
            	"user_id":user_id,
                "id_card":id_card,
                "real_name":real_name,
                "phone":phone,
                "sport_id":sport_id,
                "price":price,
                "identity":identity
                //"coach_paper":imageData,
                //"imageIDCard1":imageIDCard1,
                //"imageIDCard2":imageIDCard2
            },  
            "success" : function(data) {  
            if (data.Rt_code == 1) {
            	coach_log_id = data.Rt_Data.id;
              /*alert(data.Rt_Msg);*///console.log(data);
            
               justep.Util.hint('<div style="color:#fff;margin-top:200px;text-align:center">你的信息已成功提交等待后台人员的审核！</div>', {
						"type": ".abc",//{string} 提示类型，取值范围：info、success、warning、danger，缺省：info
						"delay" : 1000,//{integer} 自动关闭时间，单位为：毫秒，缺省：3000
						"position": "top",//{string} 显示位置，取值范围：top、middle、bottom，缺省：top 
						"style":  "margin-top:180px;height:300px;background:url(./img/user/denglu3x.png) no-repeat center  rgba(255,167,0,0.6);background-size:100%;border-radius:15px;",//{string} css样式，增加的自定义样式
						});
            justep.Shell.closePage();
			} else {
			
				 justep.Util.hint('<div style="color:#fff;margin-top:200px;text-align:center">信息填写错误！</div>', {
						"type": ".abc",//{string} 提示类型，取值范围：info、success、warning、danger，缺省：info
						"delay" : 1000,//{integer} 自动关闭时间，单位为：毫秒，缺省：3000
						"position": "top",//{string} 显示位置，取值范围：top、middle、bottom，缺省：top 
						"style":  "margin-top:180px;height:300px;background:url(./img/user/denglu3x.png) no-repeat center  rgba(255,167,0,0.6);background-size:100%;border-radius:15px;",//{string} css样式，增加的自定义样式
						});
				//console.log(data);
			//return;
			}
			
            }  
        }); 
		//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
		var count = 0,count1=0;
		var input1 = this.getElementByXid("input1");  //隐藏input  用来放身份证的URL
		var input2 = this.getElementByXid("input2");  //隐藏input  用来放资格证的URL 
		/*var contentInput = this.getElementByXid("content"); //文本输入框
		var content = $(contentInput).val();    //获取文本内容
*/		//console.log($(input).val());
		var dfds = [];
		var dfds1 = [];
		var IDCardUrl = $(input1).val().split(","); //身份证URL转换数组
		var PaperUrl = $(input2).val().split(",");  //资格证URL转换数组

		
		
		//IDCardUrl = IDCardUrl.split(",");
		//PaperUrl = PaperUrl.split(",");
		//console.log(IDCardUrl);
		//console.log(PaperUrl);
		//var circle_id = "";
		//console.log(val);
	
		
		
		//根据上面ajax返回的ID更新身份证图片
		for (var i = 0; i < IDCardUrl.length; i++) {
		 var dfd = $.Deferred();
              dfds.push(dfd);
             
              window.resolveLocalFileSystemURI(IDCardUrl[i],function(entry){
             
            	  var url = encodeURI(serviceLink+"/index.php/WexApi/PersonalInfo/saveIDCardPicture/id/"+coach_log_id+"/user_id/"+user_id);
                  
                  var options = new FileUploadOptions();
                  
                  options.fileKey = "file";
                  //options.fileName = entry.toInternalURL().substr(entry.toInternalURL().lastIndexOf('/')+1);
                  options.mimeType = "image/jpg";
                  
                  var headers = {'headerParam':'headerValue'};
                  
                  var ft = new FileTransfer();
                  
                  ft.upload(entry.toInternalURL(),url,win,fail,options);
                  
                  function win(r){
                	 // console.log(r);
                	   count++;
                	   if(count == IDCardUrl.length){
                		  // alert("上传成功！")
                	   }
                  }
                  function fail(r){
                	  //console.log("fail:"+r);
                  }
                       
                  dfd.resolve();
              },function(){
                dfd.resolve();
              });
		};
		
		//根据上面ajax返回的ID更新资格证图片
		for (var i = 0; i < PaperUrl.length; i++) {
		 var dfd = $.Deferred();
              dfds1.push(dfd);
             
              window.resolveLocalFileSystemURI(PaperUrl[i],function(entry){
             
            	  var url = encodeURI(serviceLink+"/index.php/WexApi/PersonalInfo/savePaper/id/"+coach_log_id+"/user_id/"+user_id);
                  
                  var options1 = new FileUploadOptions();
                  
                  options1.fileKey = "file";
                  //options.fileName = entry.toInternalURL().substr(entry.toInternalURL().lastIndexOf('/')+1);
                  options1.mimeType = "image/jpg";
                  
                  var headers = {'headerParam':'headerValue'};
                  
                  var ft = new FileTransfer();
                  
                  ft.upload(entry.toInternalURL(),url,win1,fail1,options1);
                  
                  function win1(r){
                	  //console.log(r);
                	   count1++;
                	   if(count1 == PaperUrl.length){
                		  // alert("上传成功！")
                	   }
                  }
                  function fail1(r){
                	 // console.log(r);
                  }
                       
                  dfd.resolve();
              },function(){
                dfd.resolve();
              });
		};
		
	//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
		
		 // th.close();
		}
	};



	Model.prototype.sport_idChange = function(event){
		var data = this.comp("sportsData");
		data.refreshData();	
	};

	Model.prototype.sportDataCustomRefresh = function(event){
			var user_id = justep.Shell.userId.get();
			var sportsData = event.source;
        	$.ajax({  
            "type" : "post",  
            "dataType" : "json",  
            "async" : false,  
            "data" : {
            	    "user_id" : user_id
            },
             "url":serviceLink+"/index.php/WexApi/sport/coachSportList",
            "success" : function(data) {  
            sportsData.loadData(data);
 
    
            }  
        }); 

	};
	Model.prototype.getStatus = function(){
		
		
		
	}
	Model.prototype.modelLoad = function(event){
		var user_id = justep.Shell.userId.get();
		
		if (justep.Shell.province.get() == '' || justep.Shell.province.get() == 0 || justep.Shell.sex.get() == 0 || justep.Shell.birthday.get() == 0 || justep.Shell.height.get() == 0 || justep.Shell.industry.get() == 0 || justep.Shell.activity_place.get() == 0 || justep.Shell.weight.get() == 0 )
        {
          var params = {
            a2: 1,

        }
        					var url = require.toUrl('./user/userAlter.w?a2=1');
 
	
	justep.Shell.closePage(undefined,false,url);	
      
   
        
        }
        //获取URL中的参数
		 
         var sData = this.comp("sData");
     
        	$.ajax({  
            "type" : "post",  
            "dataType" : "json",   
            "async" : false,  
            "data" : {
            	    "user_id" : user_id,
            	
            },
            "url":serviceLink+"/index.php/WexApi/Coach/getCoachStatus",
            
            "success" : function(data) {  
            	R_code = data.Rt_Code;
            
            	if (data.Rt_Code == 0){
            	$('.status').css('display','');
            		
            		
            	} 
            	if (data.Rt_Code == 2){
            	$('.status').css('display','');
            	$('.mmd').css('display','none');
            		 identity2 = data.Rt_Data.identity
            		 R_id_card = data.Rt_Data.id_card;
            		 R_real_name = data.Rt_Data.real_name;
            
            		
            	} 
            	if (data.Rt_Code == 3){
            	$('.status').css('display','');
            	$('.mma').css('display','');
            	$('.mmb').html(data.Rt_Msg);	
            
            		
            	}
            	if (data.Rt_Code == 1){
            		$('.shenghe').css('display','');
            		$('.status').css('display','none');
            
            
            		
            	}
            
            
            }  
        });
	};
	console.log(identity);
	
	Model.prototype.radio1Click = function(event){
		identity = 0;
		this.getElementByXid("row4").style.display="";
			console.log(identity);
	};
	

	Model.prototype.radio2Click = function(event){
		identity = 1;
		this.getElementByXid("row4").style.display="none";
	console.log(identity);
	};
	

	Model.prototype.backBtnClick = function(event){
		justep.Shell.closePage();
	};
	

	Model.prototype.modelActive = function(event){
				var user_id = justep.Shell.userId.get();
		
		if (justep.Shell.province.get() == '' || justep.Shell.sex.get() == 0 || justep.Shell.birthday.get() == 0 || justep.Shell.height.get() == 0 || justep.Shell.industry.get() == 0 || justep.Shell.activity_place.get() == 0 || justep.Shell.weight.get() == 0 )
        {
          var params = {
            a2: 1,

        }
        					var url = require.toUrl('./user/userAlter.w?a2=1');
 
	
	justep.Shell.closePage(undefined,false,url);	
      
   
        
        }
	};
	

	return Model;
});