define(function(require) {
	var $ = require("jquery");
	require("$UI/system/lib/cordova/cordova");
	var justep = require("$UI/system/lib/justep");
		
	var bmap = require('$UI/system/components/justep/bmap/bmap');

	var Model = function() {
		this.callParent();
	};

	// 图片路径转换
	Model.prototype.getImageUrl = function(url) {
		return require.toUrl(url);
	};

	
    var order_id_cancel = '';






	Model.prototype.bookDataCustomRefresh = function(event){
	var bookData = this.comp("bookData");
	  var user_id = justep.Shell.userId.get();
		     	$.ajax({  
            "type" : "post",  
            "dataType" : "json",  
            "async" : false,  
            "data" : {
            
            	    "user_id" : user_id,
            },
            "url":serviceLink+"/index.php/WexApi/Order/coachWait",
            
            "success" : function(data) {  
            bookData.loadData(data.list);
       
            }  
        }); 
	};


	Model.prototype.button1Click = function(event){
		var x = this.comp("bookData").val("x");
		var y = this.comp("bookData").val("y");
		var title = this.comp("bookData").val("place_name");

		bmap.marker({
			location:y+","+x,
			title:title,
			src:"justep"
		});
	};


	Model.prototype.button3Click = function(event){
		var phone = event.bindingContext.$object.val("phone");
		window.location.href = 'tel:'+phone;
	};

	//接单
	Model.prototype.span35Click = function(event){
	var bookData = this.comp("bookData");
	var order_no = this.comp("bookData").val("order_no");
	  var user_id = justep.Shell.userId.get();
		     	$.ajax({  
            "type" : "post",  
            "dataType" : "json",  
            "async" : false,  
            "data" : {
            
            	    "type" : 1,
            	    "order_id":order_no
            },
            "url":serviceLink+"/index.php/WexApi/Order/coachConfirm",
            
            "success" : function(data) {  
          bookData.refreshData();
       
            }  
        }); 
		
	};


	Model.prototype.span9Click = function(event){
			var bookData = this.comp("bookData");
	var order_no = this.comp("bookData").val("order_no");
	  var user_id = justep.Shell.userId.get();
		     	$.ajax({  
            "type" : "post",  
            "dataType" : "json",  
            "async" : false,  
            "data" : {
            
            	    "type" : 2,
            	    "order_id":order_no
            },
            "url":serviceLink+"/index.php/WexApi/Order/coachConfirm",
            
            "success" : function(data) {  
            	bookData.refreshData();
       
            }  
        }); 
		
	};


	Model.prototype.coachAcceptCustomRefresh = function(event){
		var coachAccept = this.comp("coachAccept");
	  var user_id = justep.Shell.userId.get();
		     	$.ajax({  
            "type" : "post",  
            "dataType" : "json",  
            "async" : false,  
            "data" : {
            
            	    "user_id" : user_id,
            },
            "url":serviceLink+"/index.php/WexApi/Order/coachAccept",
            
            "success" : function(data) {  
            coachAccept.loadData(data.list);
       
            }  
        }); 
	};


	Model.prototype.coachTrainEndCustomRefresh = function(event){
var coachTrainEnd = this.comp("coachTrainEnd");
	  var user_id = justep.Shell.userId.get();
		     	$.ajax({  
            "type" : "post",  
            "dataType" : "json",  
            "async" : false,  
            "data" : {
            
            	    "user_id" : user_id,
            },
            "url":serviceLink+"/index.php/WexApi/Order/coachTrainEnd",
            
            "success" : function(data) {  
            coachTrainEnd.loadData(data.list);
       
            }  
        }); 
	};


	Model.prototype.span77Click = function(event){
	this.comp("popOver3").show();
	order_id_cancel = event.bindingContext.$object.val("order_no");
	
	
		
	
	};
	
	Model.prototype.span1Click = function(event){
	var user_id = justep.Shell.userId.get();

    var span1 = $(".span76").html();
		var coachAccept = this.comp("coachAccept");
		var coachTrainEnd = this.comp("coachTrainEnd");
			$.ajax({  
            "type" : "post",  
            "dataType" : "json",  
            "async" : false,  
            "data" : {
  
            	    "type" : 2,
            	    "order_id" :order_id_cancel,
            	    "reason" : span1
            },
            "url":serviceLink+"/index.php/WexApi/Order/cancelOrder",
            
            "success" : function(data) {  
              coachAccept.refreshData();
            coachTrainEnd.refreshData();
             justep.Util.hint('<div style="color:#fff;margin-top:200px;text-align:center">订单已取消</div>', {
						"type": ".abc",//{string} 提示类型，取值范围：info、success、warning、danger，缺省：info
						"delay" : 1000,//{integer} 自动关闭时间，单位为：毫秒，缺省：3000
						"position": "top",//{string} 显示位置，取值范围：top、middle、bottom，缺省：top 
						"style":  "margin-top:180px;height:300px;background:url(./img/user/denglu3x.png) no-repeat center  rgba(255,167,0,0.6);background-size:100%;border-radius:15px;",//{string} css样式，增加的自定义样式
						}); 
       
            }  
        }); 
        this.comp("popOver3").hide();
	};


	Model.prototype.span22Click = function(event){
		var user_id = justep.Shell.userId.get();

    var span1 = $(".span2").html();
		var coachAccept = this.comp("coachAccept");
		var coachTrainEnd = this.comp("coachTrainEnd");
			$.ajax({  
            "type" : "post",  
            "dataType" : "json",  
            "async" : false,  
            "data" : {
  
            	    "type" : 2,
            	    "order_id" :order_id_cancel,
            	    "reason" : span1
            },
            "url":serviceLink+"/index.php/WexApi/Order/cancelOrder",
            
            "success" : function(data) {  
               coachAccept.refreshData();
            coachTrainEnd.refreshData();
             justep.Util.hint('<div style="color:#fff;margin-top:200px;text-align:center">订单已取消</div>', {
						"type": ".abc",//{string} 提示类型，取值范围：info、success、warning、danger，缺省：info
						"delay" : 1000,//{integer} 自动关闭时间，单位为：毫秒，缺省：3000
						"position": "top",//{string} 显示位置，取值范围：top、middle、bottom，缺省：top 
						"style":  "margin-top:180px;height:300px;background:url(./img/user/denglu3x.png) no-repeat center  rgba(255,167,0,0.6);background-size:100%;border-radius:15px;",//{string} css样式，增加的自定义样式
						}); 
       
            }  
        }); 
        this.comp("popOver3").hide();
	};


	Model.prototype.span23Click = function(event){
		var user_id = justep.Shell.userId.get();

    var span1 = $(".span3").html();
		var coachAccept = this.comp("coachAccept");
		var coachTrainEnd = this.comp("coachTrainEnd");
			$.ajax({  
            "type" : "post",  
            "dataType" : "json",  
            "async" : false,  
            "data" : {
  
            	    "type" : 2,
            	    "order_id" :order_id_cancel,
            	    "reason" : span1
            },
            "url":serviceLink+"/index.php/WexApi/Order/cancelOrder",
            
            "success" : function(data) {  
              coachAccept.refreshData();
            coachTrainEnd.refreshData();
             justep.Util.hint('<div style="color:#fff;margin-top:200px;text-align:center">订单已取消</div>', {
						"type": ".abc",//{string} 提示类型，取值范围：info、success、warning、danger，缺省：info
						"delay" : 1000,//{integer} 自动关闭时间，单位为：毫秒，缺省：3000
						"position": "top",//{string} 显示位置，取值范围：top、middle、bottom，缺省：top 
						"style":  "margin-top:180px;height:300px;background:url(./img/user/denglu3x.png) no-repeat center  rgba(255,167,0,0.6);background-size:100%;border-radius:15px;",//{string} css样式，增加的自定义样式
						}); 
       
            }  
        }); 
        this.comp("popOver3").hide();
	};


	Model.prototype.span24Click = function(event){
		var user_id = justep.Shell.userId.get();

    var span1 = $(".span4").html();
		var coachAccept = this.comp("coachAccept");
		var coachTrainEnd = this.comp("coachTrainEnd");
			$.ajax({  
            "type" : "post",  
            "dataType" : "json",  
            "async" : false,  
            "data" : {
  
            	    "type" : 2,
            	    "order_id" :order_id_cancel,
            	    "reason" : span1
            },
            "url":serviceLink+"/index.php/WexApi/Order/cancelOrder",
            
            "success" : function(data) {  
          coachAccept.refreshData();
            coachTrainEnd.refreshData();
             justep.Util.hint('<div style="color:#fff;margin-top:200px;text-align:center">订单已取消</div>', {
						"type": ".abc",//{string} 提示类型，取值范围：info、success、warning、danger，缺省：info
						"delay" : 1000,//{integer} 自动关闭时间，单位为：毫秒，缺省：3000
						"position": "top",//{string} 显示位置，取值范围：top、middle、bottom，缺省：top 
						"style":  "margin-top:180px;height:300px;background:url(./img/user/denglu3x.png) no-repeat center  rgba(255,167,0,0.6);background-size:100%;border-radius:15px;",//{string} css样式，增加的自定义样式
						}); 
       
            }  
        }); 
        this.comp("popOver3").hide();
	};


	return Model;
});