define(function(require){
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
		require("$UI/system/lib/cordova/cordova");
//cordova运行环境，多个页面用cordova插件，每个页面都需要require进来
	require("cordova!cn.jpush.phonegap.JPushPlugin");
    require("cordova!cordova-plugin-x-socialsharing");
	
	var Model = function(){
		this.callParent();
	};
	
	
	//昵称
	Model.prototype.getNickname = function() {		
		if (justep.Shell.userName.get()) {
			return justep.Shell.nick_name.get();
		} else {
			return "请登录";
		}
	
	};
	
		//签名
	Model.prototype.getSignature = function() {		
		if (justep.Shell.userName.get()) {
			if(justep.Shell.signature.get()){
				return justep.Shell.signature.get();
			}else{
				return "该会员还未设置签名";
			}
		} else {
			return "";
		}
	
	};
	
		//头像
	Model.prototype.getHeadImgUrl = function() {		
		if (justep.Shell.userName.get()) {
			return justep.Shell.head_url.get();
		} else {
			return "./img/user/defautHead.jpg";
		}
	};
	
		//登录按钮判断
		Model.prototype.loginPd= function() {
		if (justep.Shell.userName.get()) {
			return false;
		} else {
			return true;
		}
	};
	
	//教练内容判断
	Model.prototype.kkk= function() {
		if (justep.Shell.userType.get() == 3 || justep.Shell.userType.get() == 5) {
			return true;
		}

	};
	

	//我的内容判断
	Model.prototype.myCon= function() {
		if (justep.Shell.userName.get()) {
			return true;
		} else {
			return false;
		}
	};
	
		//注销按钮判断
		Model.prototype.logoutPd= function() {
		if (justep.Shell.userName.get()) {
			return true;
		} else {
			return false;
		}
	};
	//注销按钮
	Model.prototype.logoutClick = function(event){
		var type = justep.Shell.userType.get();
		var name = justep.Shell.userName.get();
		
		justep.Shell.addr.set("");//合拼的地址
		justep.Shell.area.set("");//地区ID
		justep.Shell.balance.set("");//用户余额
		justep.Shell.city.set("");//市ID
		justep.Shell.head_url.set("");//用户头像url
		justep.Shell.nick_name.set("");//用户昵称
		justep.Shell.phone.set("");//电话
		justep.Shell.province.set("");//省ID
		justep.Shell.sex.set("");//用户性别,0保密 1男 2女
		justep.Shell.signature.set("");//用户个性签名
		justep.Shell.userId.set("");//用户id，与hd_home_users的id字段关联
		justep.Shell.userName.set("");//登录名
		justep.Shell.userType.set("");//用户类型

		localStorage.removeItem("userUUID");
		 justep.Util.hint('<div style="color:#fff;margin-top:200px;text-align:center">注销成功</div>', {
				"type": ".abc",//{string} 提示类型，取值范围：info、success、warning、danger，缺省：info
				"delay" : 1000,//{integer} 自动关闭时间，单位为：毫秒，缺省：3000
				"position": "top",//{string} 显示位置，取值范围：top、middle、bottom，缺省：top 
				"style":  "margin-top:180px;height:300px;background:url(./img/user/denglu3x.png) no-repeat center  rgba(255,167,0,0.6);background-size:100%;border-radius:15px;",//{string} css样式，增加的自定义样式
				});
		
		setTimeout(function() {
			var params = {
				data : "cancel"
			};
			justep.Shell.showPage("main", params);
		}, 500);
	};
	//登录按钮
		Model.prototype.loginClick = function(event){
		
		justep.Shell.showPage("login");

	};
	
	Model.prototype.shouchangListClick = function(event){
		justep.Shell.showPage(require.toUrl('./shouchang.w'));
	};
	
	Model.prototype.moneyClick = function(event){
		justep.Shell.showPage(require.toUrl('./user/myyuelian.w'));
	};

	//头部图片点击事件
	Model.prototype.userClick = function(event){
	if (justep.Shell.userId.get()) {
			justep.Shell.showPage("user");
		} else {
			justep.Shell.showPage("login");
		}
	
		
	};
	
		
	Model.prototype.button9Click = function(event){
	/*	var user_id = this.comp("test1").val();
	
        		$.ajax({  
            "type" : "post",  
            "dataType" : "json",  
            "async" : false,  
            "url" : serviceLink+"/index.php/Home/Index/imageTest",
            "url":serviceLink+"/index.php/WexApi/push/index",
            "data" : {  
            	"recieve_id":user_id,
                "type":1,
           
     
            },  
            "success" : function(data) {  
            if (data.Rt_code == 1) {
              alert(data.Rt_Msg);
              justep.Util.hint("成功推送！");
			return;
			} else {
			justep.Util.hint("推送失敗！");
			return;
			}
            }  
        }); */
			
	};

	
	Model.prototype.modelUnLoad = function(event){
		var user_id = justep.Shell.userId.get();
		var userData = this.comp('userInfoData');
		userData.filters.setVar("user_id",user_id);
	};
		
	//跳转收藏圈
	Model.prototype.row3Click = function(event){
		justep.Shell.showPage(require.toUrl('./post/postList.w'));
	};
		
	//教练申请&&教练订单
	Model.prototype.row1Click = function(event){


			justep.Shell.showPage(require.toUrl('./jiaolian.w'));//申请教练
	
	};
		
	//我的订单页面
	Model.prototype.row4Click = function(event){
		justep.Shell.showPage(require.toUrl('./user/myDingchang.w'));
	};
		
	
	Model.prototype.newsDetailClick = function(event){
		justep.Shell.showPage(require.toUrl('./about.w'));
	};
		
	
	Model.prototype.zhujiListClick = function(event){
		justep.Shell.showPage(require.toUrl('./zhuji.w'));
	};
		
	
	Model.prototype.row8Click = function(event){
		var url = window.location.href;
		plugins.socialsharing.share("运动加","运动加", "运动加", url);
	};
		
	
	Model.prototype.row2Click = function(event){
		justep.Shell.showPage(require.toUrl('./huodong.w'));
	};
		
	
	Model.prototype.row10Click = function(event){
	
		justep.Shell.showPage(require.toUrl('./user/myBaoList.w'));
	};
		
	
	Model.prototype.jiaoliandan = function(event){
			
			justep.Shell.showPage(require.toUrl('./jiaolianorder.w'));//教练订单
	
	};
		
	
	Model.prototype.row12Click = function(event){
		justep.Shell.showPage(require.toUrl('./jiaoxm.w'));//教练订单
	};

	
	Model.prototype.quanClick = function(event){
		justep.Shell.showPage(require.toUrl('./user/youhui.w'));
	};
	
	return Model;
});