define(function(require){
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var utils = require("$UI/demo/plugin/utils");
	var Model = function(){
		this.callParent();
	};
	
	var callBack = function(info){
		console.log(JSON.stringify(info));
		justep.Util.hint(JSON.stringify(info));
	};
	
	var jsonArray = [];
	var x = 116.397, y = 39.910;

	Model.prototype.modelLoad = function(event){
		navigator.baiduMap.base.open({
		 	 		"position":{x:0, y:48, w:$(window).width(), h:$(window).height()-88},
		 	 		"center":{lon:116.397, lat:39.910},
		 	 		"zoomLevel":13,	
				}, function(){
					justep.Util.hint("成功");
				}, callBack);
	};

	Model.prototype.timer1Timer = function(event){
		var b = {lon:x, lat:y};
		x += 0.003;
		y += 0.003;
		jsonArray.push(b);
		jsonArray = jsonArray;
			console.log(jsonArray);
			navigator.baiduMap.base.addLine({
				id:11,points:jsonArray,
				styles:{borderColor:"#ffa700",borderWidth:10}
			});
	};

	Model.prototype.button1Click = function(event){
		this.comp("timer1").start();
		$('.aaa').css('display','none');
		$('.bbb').css('display','');
	};

	Model.prototype.button2Click = function(event){
		this.comp("timer1").stop();
		$('.aaa').css('display','');
		$('.bbb').css('display','none');
	};

	Model.prototype.backBtnClick = function(event){
		justep.Shell.showPage(require.toUrl('../find.w'));
	};

	Model.prototype.modelInactive = function(event){	
		justep.Shell.showPage(require.toUrl('../find.w'));
	};

	Model.prototype.modelUnLoad = function(event){
		justep.Shell.showPage(require.toUrl('../find.w'));
	};

	return Model;
});