define(function(require){
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");

	var Model = function(){
		this.callParent();
	};

	$('.postpic').height($('body').width()*0.5-5);
	Model.prototype.postClick = function(event){
		justep.Shell.showPage("post");
	};
	//昵称
	Model.prototype.getNickname = function() {		
		if (justep.Shell.userId.get()) {
			return justep.Shell.nick_name.get();
		} else {
			return "请登录";
		}
	};
	
	Model.prototype.image28Click = function(event){
				var user_id = event.bindingContext.$object.val("user_id");
        var params = {
            a1: user_id,

        }
        justep.Shell.showPage(require.toUrl('./post/postMan.w?a1='+user_id),params);
	};
	
			//头像
	Model.prototype.getHeadImgUrl = function() {		
		if (justep.Shell.userId.get()) {
			return justep.Shell.head_url.get();
		} else {
			return "./img/user/defautHead.jpg";
		}
	};
	
			//签名
	Model.prototype.getSignature = function() {		
		if (justep.Shell.userId.get()) {
			if(justep.Shell.signature.get() == ""){
				return "该会员还未设置签名";
			}else{
				return justep.Shell.signature.get();
			}
		} else {
			return "";
		}
	
	};
	
	Model.prototype.circleDataCustomRefresh = function(event){
		var circleData = event.source;
		var user_id = justep.Shell.userId.get();
		
    	$.ajax({  
        "type" : "post",  
        "dataType" : "json",  
        "async" : false,  
        "data" : {
        		"type" : 2,
        	    "user_id" : user_id 
        },
        "url":serviceLink+"/index.php/WexApi/circle/circleFootOrCollect",
        
        "success" : function(data) {  
        circleData.loadData(data.list);
 
   
        }  
    }); 
	};
	
	Model.prototype.li2Click = function(event){
		var id = event.bindingContext.$object.val("id");
        var params = {
            a1: id,

        }
        justep.Shell.showPage(require.toUrl('./post/postDetail.w?a1='+id),params);
	};
	
	Model.prototype.fabuBtnClick = function(event){

	};
			
	Model.prototype.pinglunBtnClick = function(event){

	}; 
	Model.prototype.changDataCustomRefresh = function(event){
			var user_id = justep.Shell.userId.get();    	       
			var changData = event.source;
        	$.ajax({  
            "type" : "post",  
            "dataType" : "json",  
            "async" : false,  
            "data" : {
            	    "user_id" : user_id ,
            	    "type" : 1 
            },
            "url":serviceLink+"/index.php/WexApi/sellerInfo/sellerMarkList",
            
            "success" : function(data) {  
            changData.loadData(data.list);
       
            }  
        }); 
	}; 
	Model.prototype.modelLoad = function(event){
	$('.postpic').height($('body').width()*0.5-5);
	}; 
	Model.prototype.dingchangListClick = function(event){
						var user_id = event.bindingContext.$object.val("user_id");
      var params = {
            a1: user_id,

        }
        justep.Shell.showPage(require.toUrl('./dingchang/dingchangDetail.w?a1='+user_id));
		
		
	}; 
	return Model;
});