define(function(require){
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	require("cordova!com.synconset.imagepicker");
	require("cordova!cordova-plugin-file-transfer");
	require("cordova!cordova-plugin-file");
	
	var utils = require("$UI/demo/plugin/utils");
	var Model = function(){
		this.callParent();
	};
	var pay = "";
	var money = "";
	var desc = "";
	var	tradeNo = "";
	var	subject = "";
	var	price = "";
	var	body = "";
	var	seller = "";
	var	timeout = "";
	var	notifyUrl = "";
	var youhui = "";
	var isPic = "";

	Model.prototype.getPicturesClick = function(event){
	var input = this.getElementByXid("input1");
		document.addEventListener("deviceready", androidOnDeviceReady, false);
	function androidOnDeviceReady() {
		/*
		调用getPictures有三个参数，成功回调，失败回调和options。option参数仅限于android端使用。
		options有以下几个下参数(maximumImagesCount,width,height,quality,outputType)，说明如下
	    options = {			
			图片选择数量默认为15张，如果设置为1张，点选一张图片后即可返回该图片路径。
			最大图片选择数量，规定了每次最多选择几张图片。
            maximumImagesCount: int,
            
            图片的高度和宽度限定，举例说明:如果宽高都设定为800，图片最大为800像素*800像素，如果宽度为800，高度为0，则图片则会有800像素宽。
            如果都写成0，则按照图片大小显示	            
            width: int,
            height: int,
            
            图片质量，取值为0-100
            quality: int (0-100),
            
			导出图片的类型，默认为window.imagePicker.OutputType.FILE_URI(实际值为0)，可选window.imagePicker.OutputType.BASE64_STRING (实际值为1)
            outputType: int
	        };
	    */
		imagePicker.getPictures(androidSuccessCallback, errorCallback,
				{
					"maximumImagesCount":1,
					"width":800,
					"height":800,
					"quallity":100,
					"outputType":window.imagePicker.OutputType.FILE_URI
				}
		);
	}
	function androidSuccessCallback(result) {
		var uris = new Array();
		var result_test = "";
		
      if (result.length) {
      $(input).val(result);
        var content = '';
        var dfds = [];
        for (var i = 0; i < result.length; i++) {
          (function(){
              var dfd = $.Deferred();
              dfds.push(dfd);
              
              window.resolveLocalFileSystemURI(result[i],function(entry){
                  content += '<img src="'+ entry.toInternalURL() +'" style="float:left;width:50px;height:50px;margin:5px;"/>';    
                  
                  //uris.push(entry.toInternalURL());
                  dfd.resolve();
              },function(){
                dfd.resolve();
              });
          })();
        }
         
        $.when.apply($,dfds).done(function(){
        	
          document.getElementById("imageOutput").innerHTML = content;
        });
        
      
        
      } else {
        // picker was cancelled
        console.log("没有选择图片");
      }
    
}
	function errorCallback(error) {
		justep.Util.hint("错误信息: " + JSON.stringify(error));
	}
}
	Model.prototype.modelModelConstructDone = function(event) {
		utils.showCode(this,"getPicturesClick").prettyPrint();
	};


	Model.prototype.uploadClick = function(event){
		var count = 0;
		var input = this.getElementByXid("input1");  //隐藏input  用来放图片的URL
		var dfds = [];
		var val = $(input).val().split(",");
		
		/*if(val == ""){
			justep.Util.hint("图片不可为空！");
			return;
		}*/
		//console.log(is_pay);
		var title = this.comp("title").val();
		var content = this.comp('content').val();//获取内容
		var dbstr =  content.replace(/\n|\r\n/g,"<br>");//让textareal当中有<br/>
		var is_pay = this.comp("joinData").val("id");//是否付费
		var price1 = this.comp("price1").val();
		var num = this.comp("input2").val();
		var startTime = this.comp("input3").val();
		var endTime = this.comp("input4").val();
		var deadTime = this.comp("input5").val();
		
	
		if (num == 0 || num == '' || title == '' || content == '' || startTime == '' || endTime=='' ||  $(input).val() == '' || deadTime=='' ||  is_pay == 2 || is_pay == 1){

			if (num == 0 || num == ''){
					 justep.Util.hint('<div style="color:#fff;margin-top:200px;text-align:center">人数不能为空</div>', {
						"type": ".abc",//{string} 提示类型，取值范围：info、success、warning、danger，缺省：info
						"delay" : 1000,//{integer} 自动关闭时间，单位为：毫秒，缺省：3000
						"position": "top",//{string} 显示位置，取值范围：top、middle、bottom，缺省：top 
						"style":  "margin-top:180px;height:300px;background:url(./img/user/denglu3x.png) no-repeat center  rgba(255,167,0,0.6);background-size:100%;border-radius:15px;",//{string} css样式，增加的自定义样式
						}); 
						return; 
	                }
	          if (title == "" ){
			
			justep.Util.hint('<div style="color:#fff;margin-top:200px;text-align:center">请填写活动标题！</div>', {
						"type": ".abc",//{string} 提示类型，取值范围：info、success、warning、danger，缺省：info
						"delay" : 1000,//{integer} 自动关闭时间，单位为：毫秒，缺省：3000
						"position": "top",//{string} 显示位置，取值范围：top、middle、bottom，缺省：top 
						"style":  "margin-top:180px;height:300px;background:url(./img/user/denglu3x.png) no-repeat center  rgba(255,167,0,0.6);background-size:100%;border-radius:15px;",//{string} css样式，增加的自定义样式
						}); 
						return; 
		
		}   
		          if (content == ""){
			
			justep.Util.hint('<div style="color:#fff;margin-top:200px;text-align:center">请填写活动内容！</div>', {
						"type": ".abc",//{string} 提示类型，取值范围：info、success、warning、danger，缺省：info
						"delay" : 1000,//{integer} 自动关闭时间，单位为：毫秒，缺省：3000
						"position": "top",//{string} 显示位置，取值范围：top、middle、bottom，缺省：top 
						"style":  "margin-top:180px;height:300px;background:url(./img/user/denglu3x.png) no-repeat center  rgba(255,167,0,0.6);background-size:100%;border-radius:15px;",//{string} css样式，增加的自定义样式
						}); 
						return; 
		
		}     
		if (startTime == '')
		{
		justep.Util.hint('<div style="color:#fff;margin-top:200px;text-align:center">请选择活动开始时间！</div>', {
						"type": ".abc",//{string} 提示类型，取值范围：info、success、warning、danger，缺省：info
						"delay" : 1000,//{integer} 自动关闭时间，单位为：毫秒，缺省：3000
						"position": "top",//{string} 显示位置，取值范围：top、middle、bottom，缺省：top 
						"style":  "margin-top:180px;height:300px;background:url(./img/user/denglu3x.png) no-repeat center  rgba(255,167,0,0.6);background-size:100%;border-radius:15px;",//{string} css样式，增加的自定义样式
						}); 
						return; 
						}
		if (endTime == '')
		{
		justep.Util.hint('<div style="color:#fff;margin-top:200px;text-align:center">请选择活动结束时间！</div>', {
						"type": ".abc",//{string} 提示类型，取值范围：info、success、warning、danger，缺省：info
						"delay" : 1000,//{integer} 自动关闭时间，单位为：毫秒，缺省：3000
						"position": "top",//{string} 显示位置，取值范围：top、middle、bottom，缺省：top 
						"style":  "margin-top:180px;height:300px;background:url(./img/user/denglu3x.png) no-repeat center  rgba(255,167,0,0.6);background-size:100%;border-radius:15px;",//{string} css样式，增加的自定义样式
						}); 
						return; 
		}
		if (deadTime == '')
		{
		justep.Util.hint('<div style="color:#fff;margin-top:200px;text-align:center">请选择截止报名时间！</div>', {
						"type": ".abc",//{string} 提示类型，取值范围：info、success、warning、danger，缺省：info
						"delay" : 1000,//{integer} 自动关闭时间，单位为：毫秒，缺省：3000
						"position": "top",//{string} 显示位置，取值范围：top、middle、bottom，缺省：top 
						"style":  "margin-top:180px;height:300px;background:url(./img/user/denglu3x.png) no-repeat center  rgba(255,167,0,0.6);background-size:100%;border-radius:15px;",//{string} css样式，增加的自定义样式
						}); 
						return; 
		}
		if ($(input).val() == '')
		{
		justep.Util.hint('<div style="color:#fff;margin-top:200px;text-align:center">请上传活动图片！</div>', {
						"type": ".abc",//{string} 提示类型，取值范围：info、success、warning、danger，缺省：info
						"delay" : 1000,//{integer} 自动关闭时间，单位为：毫秒，缺省：3000
						"position": "top",//{string} 显示位置，取值范围：top、middle、bottom，缺省：top 
						"style":  "margin-top:180px;height:300px;background:url(./img/user/denglu3x.png) no-repeat center  rgba(255,167,0,0.6);background-size:100%;border-radius:15px;",//{string} css样式，增加的自定义样式
						}); 
						return;
		}
		
		if(is_pay == 2 || is_pay == 1 ){
		if(price1 == ""){  
			 justep.Util.hint('<div style="color:#fff;margin-top:200px;text-align:center">请填写报名费用！</div>', {
						"type": ".abc",//{string} 提示类型，取值范围：info、success、warning、danger，缺省：info
						"delay" : 1000,//{integer} 自动关闭时间，单位为：毫秒，缺省：3000
						"position": "top",//{string} 显示位置，取值范围：top、middle、bottom，缺省：top 
						"style":  "margin-top:180px;height:300px;background:url(./img/user/denglu3x.png) no-repeat center  rgba(255,167,0,0.6);background-size:100%;border-radius:15px;",//{string} css样式，增加的自定义样式
						}); 
	                return;
	    }
	    if (price1 < 0.01)
	    	
	    {
	
	    justep.Util.hint('<div style="color:#fff;margin-top:200px;text-align:center">报名费至少为0.01元！</div>', {
						"type": ".abc",//{string} 提示类型，取值范围：info、success、warning、danger，缺省：info
						"delay" : 1000,//{integer} 自动关闭时间，单位为：毫秒，缺省：3000
						"position": "top",//{string} 显示位置，取值范围：top、middle、bottom，缺省：top 
						"style":  "margin-top:180px;height:300px;background:url(./img/user/denglu3x.png) no-repeat center  rgba(255,167,0,0.6);background-size:100%;border-radius:15px;",//{string} css样式，增加的自定义样式
						}); 
	                return;
	    }
	  
		}
		}  //总判断
		
	
		
	
		
	    $.ajax({  
			"type" : "post",  
			"dataType" : "json",  
			"url" : serviceLink+"/index.php/WexApi/Promotion/createPromotion",
			"async" : false,  
			"data" : { 
				"user_id" : justep.Shell.userId.get(),
				"news_type" : 3,
				"title" : title,
				"content" : dbstr,
				"is_pay" : is_pay,
				"join_money" : price1,
				"num" : num,
				"begin_time" :startTime,
				"end_time" : endTime,
				"pro_begin_time" : deadTime,
				"pay" : pay
				//user_id :用户id   news_type:资讯类型，1、体育资讯，2、训练教程，3、最新活动 4.其他类型	title:标题  content:内容  is_pay  1:不需要付费  2付费   join_money 报名费 （可选）
			},
			"success" : function(userCon) {
			fanid = userCon.news_id;
			 justep.Util.hint('<div style="color:#fff;margin-top:200px;text-align:center">活动创建成功！</div>', {
						"type": ".abc",//{string} 提示类型，取值范围：info、success、warning、danger，缺省：info
						"delay" : 1000,//{integer} 自动关闭时间，单位为：毫秒，缺省：3000
						"position": "top",//{string} 显示位置，取值范围：top、middle、bottom，缺省：top 
						"style":  "margin-top:180px;height:300px;background:url(./img/user/denglu3x.png) no-repeat center  rgba(255,167,0,0.6);background-size:100%;border-radius:15px;",//{string} css样式，增加的自定义样式
						}); 
						justep.Shell.closePage();
			}
			
		}); 
		
		//根据上面ajax返回的ID更新图片

		var count = 0;
		var input = this.getElementByXid("input1");  //隐藏input  用来放图片的URL
		var dfds = [];
		var val = $(input).val().split(",");
		var updateImage;
		//console.log(val);
		
		var circle_id = "";
			for (var i = 0; i < val.length; i++) {
		 var dfd = $.Deferred();
              dfds.push(dfd);
             
              window.resolveLocalFileSystemURI(val[i],function(entry){
             
            	  var url = encodeURI(serviceLink+"/index.php/WexApi/Promotion/saveNewsPicture/id/"+fanid+"/user_id/"+justep.Shell.userId.get());
                  
                  var options = new FileUploadOptions();
                  
                  options.fileKey = "file";
                  //options.fileName = entry.toInternalURL().substr(entry.toInternalURL().lastIndexOf('/')+1);
                  options.mimeType = "image/jpg";
                  
                  var headers = {'headerParam':'headerValue'};
                  
                  var ft = new FileTransfer();
                  
                  ft.upload(entry.toInternalURL(),url,win,fail,options);
                  
                  function win(r){
                	//  console.log(r);
                	   count++;
                	   if(count == val.length){
                		   	//	justep.Util.hint("发布成功！");
                		   this.close();
                	   }
                  }
                  function fail(r){
                	  //console.log(r);
                  }
                       
                  dfd.resolve();
              },function(){
                dfd.resolve();
              });
		};
	};
	

	
	Model.prototype.radio1Click = function(event){
		var joinData = this.comp("joinData");
		this.getElementByXid('fufei').style.display="";
		joinData.newData({defaultValues:[
		{
			id : 1,
			}
		]});
	};



	Model.prototype.radio2Click = function(event){
		var joinData = this.comp("joinData");
		this.getElementByXid('fufei').style.display="";
		joinData.newData({defaultValues:[
		{
			id : 2,
			}
		]});
	};



	Model.prototype.radio3Click = function(event){
		var joinData = this.comp("joinData");
		this.getElementByXid('fufei').style.display="none";
		joinData.newData({defaultValues:[
		{
			id : 3,
			}
		]});
	};
		


	Model.prototype.modelLoad = function(event){
		var user_id = justep.Shell.userId.get();
			var ticket_list = this.comp("ticket_list");
	    $.ajax({  
			"type" : "post",  
			"dataType" : "json",  
			"url" : serviceLink+"/index.php/WexApi/Promotion/isPayActivity",
			"async" : false,  
			"data" : { 
				"user_id" : user_id,
				//user_id :用户id   news_type:资讯类型，1、体育资讯，2、训练教程，3、最新活动 4.其他类型	title:标题  content:内容  is_pay  1:不需要付费  2付费   join_money 报名费 （可选）
			},
			"success" : function(data) {
				pay = data.list.is_pay;
				money = data.list.money;
				desc = data.list.desc;
				
							if (pay == 1) {
	$(".nopay").css("display","");
	$(".youpay").html(money);
	$(".youpay2").html(desc);
	$(".yespay").css("display","none");
	ticket_list.loadData(data.ticket_list);
	
	
	} else {
	$(".nopay").css("display","none");
	$(".yespay").css("display","");
	}
			}
			
		}); 
	};
		
	Model.prototype.radioGroup1Click = function(event){

	  var youhui = this.comp("radioGroup1").val();

      //获取URL中的参数

	


			$.ajax({  
          "type" : "post",  
          "dataType" : "json",   
          "async" : false,  
          "data" : {
          	    "ticket_id" : youhui,
          	    "price" : money
    
          },
          "url":serviceLink+"/index.php/WexApi/Order/getPromotionTickValue",
          
          "success" : function(data) {  
        	  $(".youpay").html(data.price);
    
            
          
          
          }  
      });
	};


		Model.prototype.radioGroup1Change = function(event){
		
		
		youhui = this.comp("radioGroup1").val();

		

		
	};

	Model.prototype.span15Click = function(event){
		
		var count = 0;
		var input = this.getElementByXid("input1");  //隐藏input  用来放图片的URL
		var dfds = [];
		var val = $(input).val().split(",");
		
		/*if(val == ""){
			justep.Util.hint("图片不可为空！");
			return;
		}*/
		//console.log(is_pay);
		var title = this.comp("title").val();
		var content = this.comp('content').val();//获取内容
		var dbstr =  content.replace(/\n|\r\n/g,"<br>");//让textareal当中有<br/>
		var is_pay = this.comp("joinData").val("id");//是否付费
		var price1 = this.comp("price1").val();
		var num = this.comp("input2").val();
		var startTime = this.comp("input3").val();
		var endTime = this.comp("input4").val();
		var deadTime = this.comp("input5").val();
		var youhui = this.comp("radioGroup1").val();
		var input = this.getElementByXid("input1");
		
		var fanid = "";
		if (num == 0 || num == '' || title == '' || content == '' || startTime == '' || endTime=='' ||  $(input).val() == '' || deadTime=='' ||  is_pay == 2 || is_pay == 1){

			if (num == 0 || num == ''){
					 justep.Util.hint('<div style="color:#fff;margin-top:200px;text-align:center">人数不能为空</div>', {
						"type": ".abc",//{string} 提示类型，取值范围：info、success、warning、danger，缺省：info
						"delay" : 1000,//{integer} 自动关闭时间，单位为：毫秒，缺省：3000
						"position": "top",//{string} 显示位置，取值范围：top、middle、bottom，缺省：top 
						"style":  "margin-top:180px;height:300px;background:url(./img/user/denglu3x.png) no-repeat center  rgba(255,167,0,0.6);background-size:100%;border-radius:15px;",//{string} css样式，增加的自定义样式
						}); 
						return; 
	                }
	          if (title == "" ){
			
			justep.Util.hint('<div style="color:#fff;margin-top:200px;text-align:center">请填写活动标题！</div>', {
						"type": ".abc",//{string} 提示类型，取值范围：info、success、warning、danger，缺省：info
						"delay" : 1000,//{integer} 自动关闭时间，单位为：毫秒，缺省：3000
						"position": "top",//{string} 显示位置，取值范围：top、middle、bottom，缺省：top 
						"style":  "margin-top:180px;height:300px;background:url(./img/user/denglu3x.png) no-repeat center  rgba(255,167,0,0.6);background-size:100%;border-radius:15px;",//{string} css样式，增加的自定义样式
						}); 
						return; 
		
		}   
		          if (content == ""){
			
			justep.Util.hint('<div style="color:#fff;margin-top:200px;text-align:center">请填写活动内容！</div>', {
						"type": ".abc",//{string} 提示类型，取值范围：info、success、warning、danger，缺省：info
						"delay" : 1000,//{integer} 自动关闭时间，单位为：毫秒，缺省：3000
						"position": "top",//{string} 显示位置，取值范围：top、middle、bottom，缺省：top 
						"style":  "margin-top:180px;height:300px;background:url(./img/user/denglu3x.png) no-repeat center  rgba(255,167,0,0.6);background-size:100%;border-radius:15px;",//{string} css样式，增加的自定义样式
						}); 
						return; 
		
		}     
		if (startTime == '')
		{
		justep.Util.hint('<div style="color:#fff;margin-top:200px;text-align:center">请选择活动开始时间！</div>', {
						"type": ".abc",//{string} 提示类型，取值范围：info、success、warning、danger，缺省：info
						"delay" : 1000,//{integer} 自动关闭时间，单位为：毫秒，缺省：3000
						"position": "top",//{string} 显示位置，取值范围：top、middle、bottom，缺省：top 
						"style":  "margin-top:180px;height:300px;background:url(./img/user/denglu3x.png) no-repeat center  rgba(255,167,0,0.6);background-size:100%;border-radius:15px;",//{string} css样式，增加的自定义样式
						}); 
						return; 
						}
		if (endTime == '')
		{
		justep.Util.hint('<div style="color:#fff;margin-top:200px;text-align:center">请选择活动结束时间！</div>', {
						"type": ".abc",//{string} 提示类型，取值范围：info、success、warning、danger，缺省：info
						"delay" : 1000,//{integer} 自动关闭时间，单位为：毫秒，缺省：3000
						"position": "top",//{string} 显示位置，取值范围：top、middle、bottom，缺省：top 
						"style":  "margin-top:180px;height:300px;background:url(./img/user/denglu3x.png) no-repeat center  rgba(255,167,0,0.6);background-size:100%;border-radius:15px;",//{string} css样式，增加的自定义样式
						}); 
						return; 
		}
		if (deadTime == '')
		{
		justep.Util.hint('<div style="color:#fff;margin-top:200px;text-align:center">请选择截止报名时间！</div>', {
						"type": ".abc",//{string} 提示类型，取值范围：info、success、warning、danger，缺省：info
						"delay" : 1000,//{integer} 自动关闭时间，单位为：毫秒，缺省：3000
						"position": "top",//{string} 显示位置，取值范围：top、middle、bottom，缺省：top 
						"style":  "margin-top:180px;height:300px;background:url(./img/user/denglu3x.png) no-repeat center  rgba(255,167,0,0.6);background-size:100%;border-radius:15px;",//{string} css样式，增加的自定义样式
						}); 
						return; 
		}
		if ($(input).val() == '')
		{
		justep.Util.hint('<div style="color:#fff;margin-top:200px;text-align:center">请上传活动图片！</div>', {
						"type": ".abc",//{string} 提示类型，取值范围：info、success、warning、danger，缺省：info
						"delay" : 1000,//{integer} 自动关闭时间，单位为：毫秒，缺省：3000
						"position": "top",//{string} 显示位置，取值范围：top、middle、bottom，缺省：top 
						"style":  "margin-top:180px;height:300px;background:url(./img/user/denglu3x.png) no-repeat center  rgba(255,167,0,0.6);background-size:100%;border-radius:15px;",//{string} css样式，增加的自定义样式
						}); 
						return;
		}
		
		if(is_pay == 2 || is_pay == 1 ){
		if(price1 == ""){  
			 justep.Util.hint('<div style="color:#fff;margin-top:200px;text-align:center">请填写报名费用！</div>', {
						"type": ".abc",//{string} 提示类型，取值范围：info、success、warning、danger，缺省：info
						"delay" : 1000,//{integer} 自动关闭时间，单位为：毫秒，缺省：3000
						"position": "top",//{string} 显示位置，取值范围：top、middle、bottom，缺省：top 
						"style":  "margin-top:180px;height:300px;background:url(./img/user/denglu3x.png) no-repeat center  rgba(255,167,0,0.6);background-size:100%;border-radius:15px;",//{string} css样式，增加的自定义样式
						}); 
	                return;
	    }
	    if (price1 < 0.01)
	    	
	    {
	
	    justep.Util.hint('<div style="color:#fff;margin-top:200px;text-align:center">报名费至少为0.01元！</div>', {
						"type": ".abc",//{string} 提示类型，取值范围：info、success、warning、danger，缺省：info
						"delay" : 1000,//{integer} 自动关闭时间，单位为：毫秒，缺省：3000
						"position": "top",//{string} 显示位置，取值范围：top、middle、bottom，缺省：top 
						"style":  "margin-top:180px;height:300px;background:url(./img/user/denglu3x.png) no-repeat center  rgba(255,167,0,0.6);background-size:100%;border-radius:15px;",//{string} css样式，增加的自定义样式
						}); 
	                return;
	    }
	  
		}
		}  //总判断
		
		this.comp("popOver1").show();
		
		
		
	    $.ajax({  
			"type" : "post",  
			"dataType" : "json",  
			"url" : serviceLink+"/index.php/WexApi/Promotion/createPromotion",
			"async" : false,  
			"data" : { 
				"user_id" : justep.Shell.userId.get(),
				"news_type" : 3,
				"title" : title,
				"content" : dbstr,
				"is_pay" : is_pay,
				"join_money" : price1,
				"num" : num,
				"begin_time" :startTime,
				"end_time" : endTime,
				"ticket_id" : youhui,
				"pro_begin_time" : deadTime,
				"pay" : pay
				//user_id :用户id   news_type:资讯类型，1、体育资讯，2、训练教程，3、最新活动 4.其他类型	title:标题  content:内容  is_pay  1:不需要付费  2付费   join_money 报名费 （可选）
			},
			"success" : function(userCon) {
			fanid = userCon.news_id;
			tradeNo = userCon.pay_data[0].tradeNo;
			subject = userCon.pay_data[0].subject;
			price = userCon.pay_data[0].price;
			body = userCon.pay_data[0].body;
			seller = userCon.pay_data[0].seller;
			timeout = userCon.pay_data[0].timeout;
			notifyUrl = userCon.pay_data[0].notifyUrl;
			$(".ddh").html(userCon.pay_data[0].tradeNo);
			$(".hdm").html(userCon.pay_data[0].subject);
			$(".ddj").html(userCon.pay_data[0].price);
			}
			
		}); 
		
		
		//根据上面ajax返回的ID更新图片

		var count = 0;
		var input = this.getElementByXid("input1");  //隐藏input  用来放图片的URL
		var dfds = [];
		var val = $(input).val().split(",");
		var updateImage;
		//console.log(val);
		
		var circle_id = "";
			for (var i = 0; i < val.length; i++) {
		 var dfd = $.Deferred();
              dfds.push(dfd);
             
              window.resolveLocalFileSystemURI(val[i],function(entry){
             
            	  var url = encodeURI(serviceLink+"/index.php/WexApi/Promotion/saveNewsPicture/id/"+fanid+"/user_id/"+justep.Shell.userId.get());
                  
                  var options = new FileUploadOptions();
                  
                  options.fileKey = "file";
                  //options.fileName = entry.toInternalURL().substr(entry.toInternalURL().lastIndexOf('/')+1);
                  options.mimeType = "image/jpg";
                  
                  var headers = {'headerParam':'headerValue'};
                  
                  var ft = new FileTransfer();
                  
                  ft.upload(entry.toInternalURL(),url,win,fail,options);
                  
                  function win(r){
                 
                	//  console.log(r);
                	   count++;
                	   if(count == val.length){
                		   	//	justep.Util.hint("发布成功！");
                		   this.close();
                	   }
                  }
                  function fail(r){
                	  //console.log(r);
                  }
                       
                  dfd.resolve();
              },function(){
                dfd.resolve();
              });
		};
		
	};
		



	Model.prototype.row9Click = function(event){
		if (!navigator.alipay) {
			alert("没有安装");
			return;
		}
		
		var alipay = navigator.alipay;
		alipay.pay({
			"seller" : seller, // 卖家支付宝账号或对应的支付宝唯一用户号
			"subject" : subject, // 商品名称
			"body" : body, // 商品详情
			"price" : price, // 金额，单位为RMB
			"tradeNo" : tradeNo, // 唯一订单号
			"timeout" : timeout, // 超时设置
			"notifyUrl" : serviceLink+"/index.php/WexApi/order/aliNotify"
		}, // 服务器通知路径
		function(message) {
var responseCode = parseInt(message);
if (responseCode === 9000) {
       justep.Util.hint('<div style="color:#fff;margin-top:200px;text-align:center">支付成功</div>', {
						"type": ".abc",//{string} 提示类型，取值范围：info、success、warning、danger，缺省：info
						"delay" : 1000,//{integer} 自动关闭时间，单位为：毫秒，缺省：3000
						"position": "top",//{string} 显示位置，取值范围：top、middle、bottom，缺省：top 
						"style":  "margin-top:180px;height:300px;background:url(./img/user/denglu3x.png) no-repeat center  rgba(255,167,0,0.6);background-size:100%;border-radius:15px;",//{string} css样式，增加的自定义样式
						}); 
	//justep.Shell.showPage(require.toUrl('../user/myBaoList.w'));
	justep.Shell.closePage();
} else {
justep.Util.hint('<div style="color:#fff;margin-top:200px;text-align:center">支付失败</div>', {
						"type": ".abc",//{string} 提示类型，取值范围：info、success、warning、danger，缺省：info
						"delay" : 1000,//{integer} 自动关闭时间，单位为：毫秒，缺省：3000
						"position": "top",//{string} 显示位置，取值范围：top、middle、bottom，缺省：top 
						"style":  "margin-top:180px;height:300px;background:url(./img/user/denglu3x.png) no-repeat center  rgba(255,167,0,0.6);background-size:100%;border-radius:15px;",//{string} css样式，增加的自定义样式
						}); 
						//	justep.Shell.showPage(require.toUrl('../user/myBaoList.w'));
							justep.Shell.closePage();
}
}, function(msg) {
justep.Util.hint('<div style="color:#fff;margin-top:200px;text-align:center">支付失败</div>', {
						"type": ".abc",//{string} 提示类型，取值范围：info、success、warning、danger，缺省：info
						"delay" : 1000,//{integer} 自动关闭时间，单位为：毫秒，缺省：3000
						"position": "top",//{string} 显示位置，取值范围：top、middle、bottom，缺省：top 
						"style":  "margin-top:180px;height:300px;background:url(./img/user/denglu3x.png) no-repeat center  rgba(255,167,0,0.6);background-size:100%;border-radius:15px;",//{string} css样式，增加的自定义样式
						}); 
							//	justep.Shell.showPage(require.toUrl('../user/myBaoList.w'));
								justep.Shell.closePage();
});
	};
		



	return Model;
});